/**
 */
package data.dynamics;

import data.DataPackage;

import org.eclipse.emf.ecore.EAttribute;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EPackage;
import org.eclipse.emf.ecore.EReference;

/**
 * <!-- begin-user-doc -->
 * The <b>Package</b> for the model.
 * It contains accessors for the meta objects to represent
 * <ul>
 *   <li>each class,</li>
 *   <li>each feature of each class,</li>
 *   <li>each enum,</li>
 *   <li>and each data type</li>
 * </ul>
 * <!-- end-user-doc -->
 * @see data.dynamics.DynamicsFactory
 * @model kind="package"
 * @generated
 */
public interface DynamicsPackage extends EPackage {
	/**
	 * The package name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNAME = "dynamics";

	/**
	 * The package namespace URI.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNS_URI = "http://pdo-masterthesis-ss12.de/dataModel/data/dynamics";

	/**
	 * The package namespace name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNS_PREFIX = "dyn";

	/**
	 * The singleton instance of the package.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	DynamicsPackage eINSTANCE = data.dynamics.impl.DynamicsPackageImpl.init();

	/**
	 * The meta object id for the '{@link data.dynamics.impl.STraceEventImpl <em>STrace Event</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see data.dynamics.impl.STraceEventImpl
	 * @see data.dynamics.impl.DynamicsPackageImpl#getSTraceEvent()
	 * @generated
	 */
	int STRACE_EVENT = 6;

	/**
	 * The feature id for the '<em><b>Metaphor Object</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STRACE_EVENT__METAPHOR_OBJECT = DataPackage.VISUALIZABLE_ELEMENT__METAPHOR_OBJECT;

	/**
	 * The feature id for the '<em><b>Order Index</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STRACE_EVENT__ORDER_INDEX = DataPackage.VISUALIZABLE_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Tin</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STRACE_EVENT__TIN = DataPackage.VISUALIZABLE_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Ess</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STRACE_EVENT__ESS = DataPackage.VISUALIZABLE_ELEMENT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Source</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STRACE_EVENT__SOURCE = DataPackage.VISUALIZABLE_ELEMENT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Parent</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STRACE_EVENT__PARENT = DataPackage.VISUALIZABLE_ELEMENT_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Trace</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STRACE_EVENT__TRACE = DataPackage.VISUALIZABLE_ELEMENT_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Exec Order</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STRACE_EVENT__EXEC_ORDER = DataPackage.VISUALIZABLE_ELEMENT_FEATURE_COUNT + 6;

	/**
	 * The feature id for the '<em><b>Trace Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STRACE_EVENT__TRACE_ID = DataPackage.VISUALIZABLE_ELEMENT_FEATURE_COUNT + 7;

	/**
	 * The number of structural features of the '<em>STrace Event</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STRACE_EVENT_FEATURE_COUNT = DataPackage.VISUALIZABLE_ELEMENT_FEATURE_COUNT + 8;

	/**
	 * The meta object id for the '{@link data.dynamics.impl.OperationExecutionImpl <em>Operation Execution</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see data.dynamics.impl.OperationExecutionImpl
	 * @see data.dynamics.impl.DynamicsPackageImpl#getOperationExecution()
	 * @generated
	 */
	int OPERATION_EXECUTION = 4;

	/**
	 * The feature id for the '<em><b>Metaphor Object</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OPERATION_EXECUTION__METAPHOR_OBJECT = STRACE_EVENT__METAPHOR_OBJECT;

	/**
	 * The feature id for the '<em><b>Order Index</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OPERATION_EXECUTION__ORDER_INDEX = STRACE_EVENT__ORDER_INDEX;

	/**
	 * The feature id for the '<em><b>Tin</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OPERATION_EXECUTION__TIN = STRACE_EVENT__TIN;

	/**
	 * The feature id for the '<em><b>Ess</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OPERATION_EXECUTION__ESS = STRACE_EVENT__ESS;

	/**
	 * The feature id for the '<em><b>Source</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OPERATION_EXECUTION__SOURCE = STRACE_EVENT__SOURCE;

	/**
	 * The feature id for the '<em><b>Parent</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OPERATION_EXECUTION__PARENT = STRACE_EVENT__PARENT;

	/**
	 * The feature id for the '<em><b>Trace</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OPERATION_EXECUTION__TRACE = STRACE_EVENT__TRACE;

	/**
	 * The feature id for the '<em><b>Exec Order</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OPERATION_EXECUTION__EXEC_ORDER = STRACE_EVENT__EXEC_ORDER;

	/**
	 * The feature id for the '<em><b>Trace Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OPERATION_EXECUTION__TRACE_ID = STRACE_EVENT__TRACE_ID;

	/**
	 * The feature id for the '<em><b>SMethod</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OPERATION_EXECUTION__SMETHOD = STRACE_EVENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Tout</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OPERATION_EXECUTION__TOUT = STRACE_EVENT_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Operation Execution</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OPERATION_EXECUTION_FEATURE_COUNT = STRACE_EVENT_FEATURE_COUNT + 2;

	/**
	 * The meta object id for the '{@link data.dynamics.impl.SMethodExecutionImpl <em>SMethod Execution</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see data.dynamics.impl.SMethodExecutionImpl
	 * @see data.dynamics.impl.DynamicsPackageImpl#getSMethodExecution()
	 * @generated
	 */
	int SMETHOD_EXECUTION = 0;

	/**
	 * The feature id for the '<em><b>Metaphor Object</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SMETHOD_EXECUTION__METAPHOR_OBJECT = OPERATION_EXECUTION__METAPHOR_OBJECT;

	/**
	 * The feature id for the '<em><b>Order Index</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SMETHOD_EXECUTION__ORDER_INDEX = OPERATION_EXECUTION__ORDER_INDEX;

	/**
	 * The feature id for the '<em><b>Tin</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SMETHOD_EXECUTION__TIN = OPERATION_EXECUTION__TIN;

	/**
	 * The feature id for the '<em><b>Ess</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SMETHOD_EXECUTION__ESS = OPERATION_EXECUTION__ESS;

	/**
	 * The feature id for the '<em><b>Source</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SMETHOD_EXECUTION__SOURCE = OPERATION_EXECUTION__SOURCE;

	/**
	 * The feature id for the '<em><b>Parent</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SMETHOD_EXECUTION__PARENT = OPERATION_EXECUTION__PARENT;

	/**
	 * The feature id for the '<em><b>Trace</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SMETHOD_EXECUTION__TRACE = OPERATION_EXECUTION__TRACE;

	/**
	 * The feature id for the '<em><b>Exec Order</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SMETHOD_EXECUTION__EXEC_ORDER = OPERATION_EXECUTION__EXEC_ORDER;

	/**
	 * The feature id for the '<em><b>Trace Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SMETHOD_EXECUTION__TRACE_ID = OPERATION_EXECUTION__TRACE_ID;

	/**
	 * The feature id for the '<em><b>SMethod</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SMETHOD_EXECUTION__SMETHOD = OPERATION_EXECUTION__SMETHOD;

	/**
	 * The feature id for the '<em><b>Tout</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SMETHOD_EXECUTION__TOUT = OPERATION_EXECUTION__TOUT;

	/**
	 * The feature id for the '<em><b>Target</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SMETHOD_EXECUTION__TARGET = OPERATION_EXECUTION_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>SMethod Execution</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SMETHOD_EXECUTION_FEATURE_COUNT = OPERATION_EXECUTION_FEATURE_COUNT + 1;

	/**
	 * The meta object id for the '{@link data.dynamics.impl.ConstructorExecutionImpl <em>Constructor Execution</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see data.dynamics.impl.ConstructorExecutionImpl
	 * @see data.dynamics.impl.DynamicsPackageImpl#getConstructorExecution()
	 * @generated
	 */
	int CONSTRUCTOR_EXECUTION = 1;

	/**
	 * The feature id for the '<em><b>Metaphor Object</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONSTRUCTOR_EXECUTION__METAPHOR_OBJECT = OPERATION_EXECUTION__METAPHOR_OBJECT;

	/**
	 * The feature id for the '<em><b>Order Index</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONSTRUCTOR_EXECUTION__ORDER_INDEX = OPERATION_EXECUTION__ORDER_INDEX;

	/**
	 * The feature id for the '<em><b>Tin</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONSTRUCTOR_EXECUTION__TIN = OPERATION_EXECUTION__TIN;

	/**
	 * The feature id for the '<em><b>Ess</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONSTRUCTOR_EXECUTION__ESS = OPERATION_EXECUTION__ESS;

	/**
	 * The feature id for the '<em><b>Source</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONSTRUCTOR_EXECUTION__SOURCE = OPERATION_EXECUTION__SOURCE;

	/**
	 * The feature id for the '<em><b>Parent</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONSTRUCTOR_EXECUTION__PARENT = OPERATION_EXECUTION__PARENT;

	/**
	 * The feature id for the '<em><b>Trace</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONSTRUCTOR_EXECUTION__TRACE = OPERATION_EXECUTION__TRACE;

	/**
	 * The feature id for the '<em><b>Exec Order</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONSTRUCTOR_EXECUTION__EXEC_ORDER = OPERATION_EXECUTION__EXEC_ORDER;

	/**
	 * The feature id for the '<em><b>Trace Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONSTRUCTOR_EXECUTION__TRACE_ID = OPERATION_EXECUTION__TRACE_ID;

	/**
	 * The feature id for the '<em><b>SMethod</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONSTRUCTOR_EXECUTION__SMETHOD = OPERATION_EXECUTION__SMETHOD;

	/**
	 * The feature id for the '<em><b>Tout</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONSTRUCTOR_EXECUTION__TOUT = OPERATION_EXECUTION__TOUT;

	/**
	 * The feature id for the '<em><b>Construction</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONSTRUCTOR_EXECUTION__CONSTRUCTION = OPERATION_EXECUTION_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Constructor Execution</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONSTRUCTOR_EXECUTION_FEATURE_COUNT = OPERATION_EXECUTION_FEATURE_COUNT + 1;

	/**
	 * The meta object id for the '{@link data.dynamics.impl.ThreadCreationImpl <em>Thread Creation</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see data.dynamics.impl.ThreadCreationImpl
	 * @see data.dynamics.impl.DynamicsPackageImpl#getThreadCreation()
	 * @generated
	 */
	int THREAD_CREATION = 2;

	/**
	 * The feature id for the '<em><b>Metaphor Object</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int THREAD_CREATION__METAPHOR_OBJECT = STRACE_EVENT__METAPHOR_OBJECT;

	/**
	 * The feature id for the '<em><b>Order Index</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int THREAD_CREATION__ORDER_INDEX = STRACE_EVENT__ORDER_INDEX;

	/**
	 * The feature id for the '<em><b>Tin</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int THREAD_CREATION__TIN = STRACE_EVENT__TIN;

	/**
	 * The feature id for the '<em><b>Ess</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int THREAD_CREATION__ESS = STRACE_EVENT__ESS;

	/**
	 * The feature id for the '<em><b>Source</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int THREAD_CREATION__SOURCE = STRACE_EVENT__SOURCE;

	/**
	 * The feature id for the '<em><b>Parent</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int THREAD_CREATION__PARENT = STRACE_EVENT__PARENT;

	/**
	 * The feature id for the '<em><b>Trace</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int THREAD_CREATION__TRACE = STRACE_EVENT__TRACE;

	/**
	 * The feature id for the '<em><b>Exec Order</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int THREAD_CREATION__EXEC_ORDER = STRACE_EVENT__EXEC_ORDER;

	/**
	 * The feature id for the '<em><b>Trace Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int THREAD_CREATION__TRACE_ID = STRACE_EVENT__TRACE_ID;

	/**
	 * The feature id for the '<em><b>Target</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int THREAD_CREATION__TARGET = STRACE_EVENT_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Thread Creation</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int THREAD_CREATION_FEATURE_COUNT = STRACE_EVENT_FEATURE_COUNT + 1;

	/**
	 * The meta object id for the '{@link data.dynamics.impl.ThreadTerminationImpl <em>Thread Termination</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see data.dynamics.impl.ThreadTerminationImpl
	 * @see data.dynamics.impl.DynamicsPackageImpl#getThreadTermination()
	 * @generated
	 */
	int THREAD_TERMINATION = 3;

	/**
	 * The feature id for the '<em><b>Metaphor Object</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int THREAD_TERMINATION__METAPHOR_OBJECT = STRACE_EVENT__METAPHOR_OBJECT;

	/**
	 * The feature id for the '<em><b>Order Index</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int THREAD_TERMINATION__ORDER_INDEX = STRACE_EVENT__ORDER_INDEX;

	/**
	 * The feature id for the '<em><b>Tin</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int THREAD_TERMINATION__TIN = STRACE_EVENT__TIN;

	/**
	 * The feature id for the '<em><b>Ess</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int THREAD_TERMINATION__ESS = STRACE_EVENT__ESS;

	/**
	 * The feature id for the '<em><b>Source</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int THREAD_TERMINATION__SOURCE = STRACE_EVENT__SOURCE;

	/**
	 * The feature id for the '<em><b>Parent</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int THREAD_TERMINATION__PARENT = STRACE_EVENT__PARENT;

	/**
	 * The feature id for the '<em><b>Trace</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int THREAD_TERMINATION__TRACE = STRACE_EVENT__TRACE;

	/**
	 * The feature id for the '<em><b>Exec Order</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int THREAD_TERMINATION__EXEC_ORDER = STRACE_EVENT__EXEC_ORDER;

	/**
	 * The feature id for the '<em><b>Trace Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int THREAD_TERMINATION__TRACE_ID = STRACE_EVENT__TRACE_ID;

	/**
	 * The number of structural features of the '<em>Thread Termination</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int THREAD_TERMINATION_FEATURE_COUNT = STRACE_EVENT_FEATURE_COUNT + 0;

	/**
	 * The meta object id for the '{@link data.dynamics.impl.SClassInstanceImpl <em>SClass Instance</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see data.dynamics.impl.SClassInstanceImpl
	 * @see data.dynamics.impl.DynamicsPackageImpl#getSClassInstance()
	 * @generated
	 */
	int SCLASS_INSTANCE = 5;

	/**
	 * The feature id for the '<em><b>Metaphor Object</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SCLASS_INSTANCE__METAPHOR_OBJECT = DataPackage.VISUALIZABLE_ELEMENT__METAPHOR_OBJECT;

	/**
	 * The feature id for the '<em><b>Constructor Execution</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SCLASS_INSTANCE__CONSTRUCTOR_EXECUTION = DataPackage.VISUALIZABLE_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>SClass</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SCLASS_INSTANCE__SCLASS = DataPackage.VISUALIZABLE_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Kieker Object Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SCLASS_INSTANCE__KIEKER_OBJECT_ID = DataPackage.VISUALIZABLE_ELEMENT_FEATURE_COUNT + 2;

	/**
	 * The number of structural features of the '<em>SClass Instance</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SCLASS_INSTANCE_FEATURE_COUNT = DataPackage.VISUALIZABLE_ELEMENT_FEATURE_COUNT + 3;

	/**
	 * The meta object id for the '{@link data.dynamics.impl.STraceImpl <em>STrace</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see data.dynamics.impl.STraceImpl
	 * @see data.dynamics.impl.DynamicsPackageImpl#getSTrace()
	 * @generated
	 */
	int STRACE = 7;

	/**
	 * The feature id for the '<em><b>Metaphor Object</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STRACE__METAPHOR_OBJECT = DataPackage.VISUALIZABLE_ELEMENT__METAPHOR_OBJECT;

	/**
	 * The feature id for the '<em><b>Events</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STRACE__EVENTS = DataPackage.VISUALIZABLE_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Trace Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STRACE__TRACE_ID = DataPackage.VISUALIZABLE_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Parent Trace Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STRACE__PARENT_TRACE_ID = DataPackage.VISUALIZABLE_ELEMENT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Parent Order Index</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STRACE__PARENT_ORDER_INDEX = DataPackage.VISUALIZABLE_ELEMENT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Hostname</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STRACE__HOSTNAME = DataPackage.VISUALIZABLE_ELEMENT_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Session Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STRACE__SESSION_ID = DataPackage.VISUALIZABLE_ELEMENT_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Thread Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STRACE__THREAD_ID = DataPackage.VISUALIZABLE_ELEMENT_FEATURE_COUNT + 6;

	/**
	 * The feature id for the '<em><b>Tin</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STRACE__TIN = DataPackage.VISUALIZABLE_ELEMENT_FEATURE_COUNT + 7;

	/**
	 * The feature id for the '<em><b>Tout</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STRACE__TOUT = DataPackage.VISUALIZABLE_ELEMENT_FEATURE_COUNT + 8;

	/**
	 * The feature id for the '<em><b>Class Signature</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STRACE__CLASS_SIGNATURE = DataPackage.VISUALIZABLE_ELEMENT_FEATURE_COUNT + 9;

	/**
	 * The feature id for the '<em><b>Operation Signature</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STRACE__OPERATION_SIGNATURE = DataPackage.VISUALIZABLE_ELEMENT_FEATURE_COUNT + 10;

	/**
	 * The feature id for the '<em><b>Exec Order</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STRACE__EXEC_ORDER = DataPackage.VISUALIZABLE_ELEMENT_FEATURE_COUNT + 11;

	/**
	 * The feature id for the '<em><b>Locks</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STRACE__LOCKS = DataPackage.VISUALIZABLE_ELEMENT_FEATURE_COUNT + 12;

	/**
	 * The number of structural features of the '<em>STrace</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STRACE_FEATURE_COUNT = DataPackage.VISUALIZABLE_ELEMENT_FEATURE_COUNT + 13;

	/**
	 * Returns the meta object for class '{@link data.dynamics.SMethodExecution <em>SMethod Execution</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>SMethod Execution</em>'.
	 * @see data.dynamics.SMethodExecution
	 * @generated
	 */
	EClass getSMethodExecution();

	/**
	 * Returns the meta object for the reference '{@link data.dynamics.SMethodExecution#getTarget <em>Target</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Target</em>'.
	 * @see data.dynamics.SMethodExecution#getTarget()
	 * @see #getSMethodExecution()
	 * @generated
	 */
	EReference getSMethodExecution_Target();

	/**
	 * Returns the meta object for class '{@link data.dynamics.ConstructorExecution <em>Constructor Execution</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Constructor Execution</em>'.
	 * @see data.dynamics.ConstructorExecution
	 * @generated
	 */
	EClass getConstructorExecution();

	/**
	 * Returns the meta object for the reference '{@link data.dynamics.ConstructorExecution#getConstruction <em>Construction</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Construction</em>'.
	 * @see data.dynamics.ConstructorExecution#getConstruction()
	 * @see #getConstructorExecution()
	 * @generated
	 */
	EReference getConstructorExecution_Construction();

	/**
	 * Returns the meta object for class '{@link data.dynamics.ThreadCreation <em>Thread Creation</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Thread Creation</em>'.
	 * @see data.dynamics.ThreadCreation
	 * @generated
	 */
	EClass getThreadCreation();

	/**
	 * Returns the meta object for the reference '{@link data.dynamics.ThreadCreation#getTarget <em>Target</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Target</em>'.
	 * @see data.dynamics.ThreadCreation#getTarget()
	 * @see #getThreadCreation()
	 * @generated
	 */
	EReference getThreadCreation_Target();

	/**
	 * Returns the meta object for class '{@link data.dynamics.ThreadTermination <em>Thread Termination</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Thread Termination</em>'.
	 * @see data.dynamics.ThreadTermination
	 * @generated
	 */
	EClass getThreadTermination();

	/**
	 * Returns the meta object for class '{@link data.dynamics.OperationExecution <em>Operation Execution</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Operation Execution</em>'.
	 * @see data.dynamics.OperationExecution
	 * @generated
	 */
	EClass getOperationExecution();

	/**
	 * Returns the meta object for the reference '{@link data.dynamics.OperationExecution#getSMethod <em>SMethod</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>SMethod</em>'.
	 * @see data.dynamics.OperationExecution#getSMethod()
	 * @see #getOperationExecution()
	 * @generated
	 */
	EReference getOperationExecution_SMethod();

	/**
	 * Returns the meta object for the attribute '{@link data.dynamics.OperationExecution#getTout <em>Tout</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Tout</em>'.
	 * @see data.dynamics.OperationExecution#getTout()
	 * @see #getOperationExecution()
	 * @generated
	 */
	EAttribute getOperationExecution_Tout();

	/**
	 * Returns the meta object for class '{@link data.dynamics.SClassInstance <em>SClass Instance</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>SClass Instance</em>'.
	 * @see data.dynamics.SClassInstance
	 * @generated
	 */
	EClass getSClassInstance();

	/**
	 * Returns the meta object for the reference '{@link data.dynamics.SClassInstance#getConstructorExecution <em>Constructor Execution</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Constructor Execution</em>'.
	 * @see data.dynamics.SClassInstance#getConstructorExecution()
	 * @see #getSClassInstance()
	 * @generated
	 */
	EReference getSClassInstance_ConstructorExecution();

	/**
	 * Returns the meta object for the reference '{@link data.dynamics.SClassInstance#getSClass <em>SClass</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>SClass</em>'.
	 * @see data.dynamics.SClassInstance#getSClass()
	 * @see #getSClassInstance()
	 * @generated
	 */
	EReference getSClassInstance_SClass();

	/**
	 * Returns the meta object for the attribute '{@link data.dynamics.SClassInstance#getKiekerObjectId <em>Kieker Object Id</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Kieker Object Id</em>'.
	 * @see data.dynamics.SClassInstance#getKiekerObjectId()
	 * @see #getSClassInstance()
	 * @generated
	 */
	EAttribute getSClassInstance_KiekerObjectId();

	/**
	 * Returns the meta object for class '{@link data.dynamics.STraceEvent <em>STrace Event</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>STrace Event</em>'.
	 * @see data.dynamics.STraceEvent
	 * @generated
	 */
	EClass getSTraceEvent();

	/**
	 * Returns the meta object for the attribute '{@link data.dynamics.STraceEvent#getOrderIndex <em>Order Index</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Order Index</em>'.
	 * @see data.dynamics.STraceEvent#getOrderIndex()
	 * @see #getSTraceEvent()
	 * @generated
	 */
	EAttribute getSTraceEvent_OrderIndex();

	/**
	 * Returns the meta object for the attribute '{@link data.dynamics.STraceEvent#getTin <em>Tin</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Tin</em>'.
	 * @see data.dynamics.STraceEvent#getTin()
	 * @see #getSTraceEvent()
	 * @generated
	 */
	EAttribute getSTraceEvent_Tin();

	/**
	 * Returns the meta object for the attribute '{@link data.dynamics.STraceEvent#getEss <em>Ess</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Ess</em>'.
	 * @see data.dynamics.STraceEvent#getEss()
	 * @see #getSTraceEvent()
	 * @generated
	 */
	EAttribute getSTraceEvent_Ess();

	/**
	 * Returns the meta object for the reference '{@link data.dynamics.STraceEvent#getSource <em>Source</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Source</em>'.
	 * @see data.dynamics.STraceEvent#getSource()
	 * @see #getSTraceEvent()
	 * @generated
	 */
	EReference getSTraceEvent_Source();

	/**
	 * Returns the meta object for the reference '{@link data.dynamics.STraceEvent#getParent <em>Parent</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Parent</em>'.
	 * @see data.dynamics.STraceEvent#getParent()
	 * @see #getSTraceEvent()
	 * @generated
	 */
	EReference getSTraceEvent_Parent();

	/**
	 * Returns the meta object for the reference '{@link data.dynamics.STraceEvent#getTrace <em>Trace</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Trace</em>'.
	 * @see data.dynamics.STraceEvent#getTrace()
	 * @see #getSTraceEvent()
	 * @generated
	 */
	EReference getSTraceEvent_Trace();

	/**
	 * Returns the meta object for the attribute '{@link data.dynamics.STraceEvent#getExecOrder <em>Exec Order</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Exec Order</em>'.
	 * @see data.dynamics.STraceEvent#getExecOrder()
	 * @see #getSTraceEvent()
	 * @generated
	 */
	EAttribute getSTraceEvent_ExecOrder();

	/**
	 * Returns the meta object for the attribute '{@link data.dynamics.STraceEvent#getTraceId <em>Trace Id</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Trace Id</em>'.
	 * @see data.dynamics.STraceEvent#getTraceId()
	 * @see #getSTraceEvent()
	 * @generated
	 */
	EAttribute getSTraceEvent_TraceId();

	/**
	 * Returns the meta object for class '{@link data.dynamics.STrace <em>STrace</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>STrace</em>'.
	 * @see data.dynamics.STrace
	 * @generated
	 */
	EClass getSTrace();

	/**
	 * Returns the meta object for the reference list '{@link data.dynamics.STrace#getEvents <em>Events</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Events</em>'.
	 * @see data.dynamics.STrace#getEvents()
	 * @see #getSTrace()
	 * @generated
	 */
	EReference getSTrace_Events();

	/**
	 * Returns the meta object for the attribute '{@link data.dynamics.STrace#getTraceId <em>Trace Id</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Trace Id</em>'.
	 * @see data.dynamics.STrace#getTraceId()
	 * @see #getSTrace()
	 * @generated
	 */
	EAttribute getSTrace_TraceId();

	/**
	 * Returns the meta object for the attribute '{@link data.dynamics.STrace#getParentTraceId <em>Parent Trace Id</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Parent Trace Id</em>'.
	 * @see data.dynamics.STrace#getParentTraceId()
	 * @see #getSTrace()
	 * @generated
	 */
	EAttribute getSTrace_ParentTraceId();

	/**
	 * Returns the meta object for the attribute '{@link data.dynamics.STrace#getParentOrderIndex <em>Parent Order Index</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Parent Order Index</em>'.
	 * @see data.dynamics.STrace#getParentOrderIndex()
	 * @see #getSTrace()
	 * @generated
	 */
	EAttribute getSTrace_ParentOrderIndex();

	/**
	 * Returns the meta object for the attribute '{@link data.dynamics.STrace#getHostname <em>Hostname</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Hostname</em>'.
	 * @see data.dynamics.STrace#getHostname()
	 * @see #getSTrace()
	 * @generated
	 */
	EAttribute getSTrace_Hostname();

	/**
	 * Returns the meta object for the attribute '{@link data.dynamics.STrace#getSessionId <em>Session Id</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Session Id</em>'.
	 * @see data.dynamics.STrace#getSessionId()
	 * @see #getSTrace()
	 * @generated
	 */
	EAttribute getSTrace_SessionId();

	/**
	 * Returns the meta object for the attribute '{@link data.dynamics.STrace#getThreadId <em>Thread Id</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Thread Id</em>'.
	 * @see data.dynamics.STrace#getThreadId()
	 * @see #getSTrace()
	 * @generated
	 */
	EAttribute getSTrace_ThreadId();

	/**
	 * Returns the meta object for the attribute '{@link data.dynamics.STrace#getTin <em>Tin</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Tin</em>'.
	 * @see data.dynamics.STrace#getTin()
	 * @see #getSTrace()
	 * @generated
	 */
	EAttribute getSTrace_Tin();

	/**
	 * Returns the meta object for the attribute '{@link data.dynamics.STrace#getTout <em>Tout</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Tout</em>'.
	 * @see data.dynamics.STrace#getTout()
	 * @see #getSTrace()
	 * @generated
	 */
	EAttribute getSTrace_Tout();

	/**
	 * Returns the meta object for the attribute '{@link data.dynamics.STrace#getClassSignature <em>Class Signature</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Class Signature</em>'.
	 * @see data.dynamics.STrace#getClassSignature()
	 * @see #getSTrace()
	 * @generated
	 */
	EAttribute getSTrace_ClassSignature();

	/**
	 * Returns the meta object for the attribute '{@link data.dynamics.STrace#getOperationSignature <em>Operation Signature</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Operation Signature</em>'.
	 * @see data.dynamics.STrace#getOperationSignature()
	 * @see #getSTrace()
	 * @generated
	 */
	EAttribute getSTrace_OperationSignature();

	/**
	 * Returns the meta object for the attribute '{@link data.dynamics.STrace#getExecOrder <em>Exec Order</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Exec Order</em>'.
	 * @see data.dynamics.STrace#getExecOrder()
	 * @see #getSTrace()
	 * @generated
	 */
	EAttribute getSTrace_ExecOrder();

	/**
	 * Returns the meta object for the reference list '{@link data.dynamics.STrace#getLocks <em>Locks</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Locks</em>'.
	 * @see data.dynamics.STrace#getLocks()
	 * @see #getSTrace()
	 * @generated
	 */
	EReference getSTrace_Locks();

	/**
	 * Returns the factory that creates the instances of the model.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the factory that creates the instances of the model.
	 * @generated
	 */
	DynamicsFactory getDynamicsFactory();

	/**
	 * <!-- begin-user-doc -->
	 * Defines literals for the meta objects that represent
	 * <ul>
	 *   <li>each class,</li>
	 *   <li>each feature of each class,</li>
	 *   <li>each enum,</li>
	 *   <li>and each data type</li>
	 * </ul>
	 * <!-- end-user-doc -->
	 * @generated
	 */
	interface Literals {
		/**
		 * The meta object literal for the '{@link data.dynamics.impl.SMethodExecutionImpl <em>SMethod Execution</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see data.dynamics.impl.SMethodExecutionImpl
		 * @see data.dynamics.impl.DynamicsPackageImpl#getSMethodExecution()
		 * @generated
		 */
		EClass SMETHOD_EXECUTION = eINSTANCE.getSMethodExecution();

		/**
		 * The meta object literal for the '<em><b>Target</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference SMETHOD_EXECUTION__TARGET = eINSTANCE.getSMethodExecution_Target();

		/**
		 * The meta object literal for the '{@link data.dynamics.impl.ConstructorExecutionImpl <em>Constructor Execution</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see data.dynamics.impl.ConstructorExecutionImpl
		 * @see data.dynamics.impl.DynamicsPackageImpl#getConstructorExecution()
		 * @generated
		 */
		EClass CONSTRUCTOR_EXECUTION = eINSTANCE.getConstructorExecution();

		/**
		 * The meta object literal for the '<em><b>Construction</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference CONSTRUCTOR_EXECUTION__CONSTRUCTION = eINSTANCE.getConstructorExecution_Construction();

		/**
		 * The meta object literal for the '{@link data.dynamics.impl.ThreadCreationImpl <em>Thread Creation</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see data.dynamics.impl.ThreadCreationImpl
		 * @see data.dynamics.impl.DynamicsPackageImpl#getThreadCreation()
		 * @generated
		 */
		EClass THREAD_CREATION = eINSTANCE.getThreadCreation();

		/**
		 * The meta object literal for the '<em><b>Target</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference THREAD_CREATION__TARGET = eINSTANCE.getThreadCreation_Target();

		/**
		 * The meta object literal for the '{@link data.dynamics.impl.ThreadTerminationImpl <em>Thread Termination</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see data.dynamics.impl.ThreadTerminationImpl
		 * @see data.dynamics.impl.DynamicsPackageImpl#getThreadTermination()
		 * @generated
		 */
		EClass THREAD_TERMINATION = eINSTANCE.getThreadTermination();

		/**
		 * The meta object literal for the '{@link data.dynamics.impl.OperationExecutionImpl <em>Operation Execution</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see data.dynamics.impl.OperationExecutionImpl
		 * @see data.dynamics.impl.DynamicsPackageImpl#getOperationExecution()
		 * @generated
		 */
		EClass OPERATION_EXECUTION = eINSTANCE.getOperationExecution();

		/**
		 * The meta object literal for the '<em><b>SMethod</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference OPERATION_EXECUTION__SMETHOD = eINSTANCE.getOperationExecution_SMethod();

		/**
		 * The meta object literal for the '<em><b>Tout</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute OPERATION_EXECUTION__TOUT = eINSTANCE.getOperationExecution_Tout();

		/**
		 * The meta object literal for the '{@link data.dynamics.impl.SClassInstanceImpl <em>SClass Instance</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see data.dynamics.impl.SClassInstanceImpl
		 * @see data.dynamics.impl.DynamicsPackageImpl#getSClassInstance()
		 * @generated
		 */
		EClass SCLASS_INSTANCE = eINSTANCE.getSClassInstance();

		/**
		 * The meta object literal for the '<em><b>Constructor Execution</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference SCLASS_INSTANCE__CONSTRUCTOR_EXECUTION = eINSTANCE.getSClassInstance_ConstructorExecution();

		/**
		 * The meta object literal for the '<em><b>SClass</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference SCLASS_INSTANCE__SCLASS = eINSTANCE.getSClassInstance_SClass();

		/**
		 * The meta object literal for the '<em><b>Kieker Object Id</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SCLASS_INSTANCE__KIEKER_OBJECT_ID = eINSTANCE.getSClassInstance_KiekerObjectId();

		/**
		 * The meta object literal for the '{@link data.dynamics.impl.STraceEventImpl <em>STrace Event</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see data.dynamics.impl.STraceEventImpl
		 * @see data.dynamics.impl.DynamicsPackageImpl#getSTraceEvent()
		 * @generated
		 */
		EClass STRACE_EVENT = eINSTANCE.getSTraceEvent();

		/**
		 * The meta object literal for the '<em><b>Order Index</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute STRACE_EVENT__ORDER_INDEX = eINSTANCE.getSTraceEvent_OrderIndex();

		/**
		 * The meta object literal for the '<em><b>Tin</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute STRACE_EVENT__TIN = eINSTANCE.getSTraceEvent_Tin();

		/**
		 * The meta object literal for the '<em><b>Ess</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute STRACE_EVENT__ESS = eINSTANCE.getSTraceEvent_Ess();

		/**
		 * The meta object literal for the '<em><b>Source</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference STRACE_EVENT__SOURCE = eINSTANCE.getSTraceEvent_Source();

		/**
		 * The meta object literal for the '<em><b>Parent</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference STRACE_EVENT__PARENT = eINSTANCE.getSTraceEvent_Parent();

		/**
		 * The meta object literal for the '<em><b>Trace</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference STRACE_EVENT__TRACE = eINSTANCE.getSTraceEvent_Trace();

		/**
		 * The meta object literal for the '<em><b>Exec Order</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute STRACE_EVENT__EXEC_ORDER = eINSTANCE.getSTraceEvent_ExecOrder();

		/**
		 * The meta object literal for the '<em><b>Trace Id</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute STRACE_EVENT__TRACE_ID = eINSTANCE.getSTraceEvent_TraceId();

		/**
		 * The meta object literal for the '{@link data.dynamics.impl.STraceImpl <em>STrace</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see data.dynamics.impl.STraceImpl
		 * @see data.dynamics.impl.DynamicsPackageImpl#getSTrace()
		 * @generated
		 */
		EClass STRACE = eINSTANCE.getSTrace();

		/**
		 * The meta object literal for the '<em><b>Events</b></em>' reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference STRACE__EVENTS = eINSTANCE.getSTrace_Events();

		/**
		 * The meta object literal for the '<em><b>Trace Id</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute STRACE__TRACE_ID = eINSTANCE.getSTrace_TraceId();

		/**
		 * The meta object literal for the '<em><b>Parent Trace Id</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute STRACE__PARENT_TRACE_ID = eINSTANCE.getSTrace_ParentTraceId();

		/**
		 * The meta object literal for the '<em><b>Parent Order Index</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute STRACE__PARENT_ORDER_INDEX = eINSTANCE.getSTrace_ParentOrderIndex();

		/**
		 * The meta object literal for the '<em><b>Hostname</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute STRACE__HOSTNAME = eINSTANCE.getSTrace_Hostname();

		/**
		 * The meta object literal for the '<em><b>Session Id</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute STRACE__SESSION_ID = eINSTANCE.getSTrace_SessionId();

		/**
		 * The meta object literal for the '<em><b>Thread Id</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute STRACE__THREAD_ID = eINSTANCE.getSTrace_ThreadId();

		/**
		 * The meta object literal for the '<em><b>Tin</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute STRACE__TIN = eINSTANCE.getSTrace_Tin();

		/**
		 * The meta object literal for the '<em><b>Tout</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute STRACE__TOUT = eINSTANCE.getSTrace_Tout();

		/**
		 * The meta object literal for the '<em><b>Class Signature</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute STRACE__CLASS_SIGNATURE = eINSTANCE.getSTrace_ClassSignature();

		/**
		 * The meta object literal for the '<em><b>Operation Signature</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute STRACE__OPERATION_SIGNATURE = eINSTANCE.getSTrace_OperationSignature();

		/**
		 * The meta object literal for the '<em><b>Exec Order</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute STRACE__EXEC_ORDER = eINSTANCE.getSTrace_ExecOrder();

		/**
		 * The meta object literal for the '<em><b>Locks</b></em>' reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference STRACE__LOCKS = eINSTANCE.getSTrace_Locks();

	}

} //DynamicsPackage
