/**
 */
package data.dynamics;

import data.VisualizableElement;

import data.synchronisation.MonitorEvent;
import org.eclipse.emf.common.util.EList;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>STrace</b></em>'.
 * <!-- end-user-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link data.dynamics.STrace#getEvents <em>Events</em>}</li>
 *   <li>{@link data.dynamics.STrace#getTraceId <em>Trace Id</em>}</li>
 *   <li>{@link data.dynamics.STrace#getParentTraceId <em>Parent Trace Id</em>}</li>
 *   <li>{@link data.dynamics.STrace#getParentOrderIndex <em>Parent Order Index</em>}</li>
 *   <li>{@link data.dynamics.STrace#getHostname <em>Hostname</em>}</li>
 *   <li>{@link data.dynamics.STrace#getSessionId <em>Session Id</em>}</li>
 *   <li>{@link data.dynamics.STrace#getThreadId <em>Thread Id</em>}</li>
 *   <li>{@link data.dynamics.STrace#getTin <em>Tin</em>}</li>
 *   <li>{@link data.dynamics.STrace#getTout <em>Tout</em>}</li>
 *   <li>{@link data.dynamics.STrace#getClassSignature <em>Class Signature</em>}</li>
 *   <li>{@link data.dynamics.STrace#getOperationSignature <em>Operation Signature</em>}</li>
 *   <li>{@link data.dynamics.STrace#getExecOrder <em>Exec Order</em>}</li>
 *   <li>{@link data.dynamics.STrace#getLocks <em>Locks</em>}</li>
 * </ul>
 * </p>
 *
 * @see data.dynamics.DynamicsPackage#getSTrace()
 * @model
 * @generated
 */
public interface STrace extends VisualizableElement {
	/**
	 * Returns the value of the '<em><b>Events</b></em>' reference list.
	 * The list contents are of type {@link data.dynamics.STraceEvent}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Events</em>' reference list isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Events</em>' reference list.
	 * @see data.dynamics.DynamicsPackage#getSTrace_Events()
	 * @model
	 * @generated
	 */
	EList<STraceEvent> getEvents();

	/**
	 * Returns the value of the '<em><b>Trace Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Trace Id</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Trace Id</em>' attribute.
	 * @see #setTraceId(long)
	 * @see data.dynamics.DynamicsPackage#getSTrace_TraceId()
	 * @model required="true"
	 * @generated
	 */
	long getTraceId();

	/**
	 * Sets the value of the '{@link data.dynamics.STrace#getTraceId <em>Trace Id</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Trace Id</em>' attribute.
	 * @see #getTraceId()
	 * @generated
	 */
	void setTraceId(long value);

	/**
	 * Returns the value of the '<em><b>Parent Trace Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Parent Trace Id</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Parent Trace Id</em>' attribute.
	 * @see #setParentTraceId(long)
	 * @see data.dynamics.DynamicsPackage#getSTrace_ParentTraceId()
	 * @model required="true"
	 * @generated
	 */
	long getParentTraceId();

	/**
	 * Sets the value of the '{@link data.dynamics.STrace#getParentTraceId <em>Parent Trace Id</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Parent Trace Id</em>' attribute.
	 * @see #getParentTraceId()
	 * @generated
	 */
	void setParentTraceId(long value);

	/**
	 * Returns the value of the '<em><b>Parent Order Index</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Parent Order Index</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Parent Order Index</em>' attribute.
	 * @see #setParentOrderIndex(int)
	 * @see data.dynamics.DynamicsPackage#getSTrace_ParentOrderIndex()
	 * @model
	 * @generated
	 */
	int getParentOrderIndex();

	/**
	 * Sets the value of the '{@link data.dynamics.STrace#getParentOrderIndex <em>Parent Order Index</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Parent Order Index</em>' attribute.
	 * @see #getParentOrderIndex()
	 * @generated
	 */
	void setParentOrderIndex(int value);

	/**
	 * Returns the value of the '<em><b>Hostname</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Hostname</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Hostname</em>' attribute.
	 * @see #setHostname(String)
	 * @see data.dynamics.DynamicsPackage#getSTrace_Hostname()
	 * @model required="true"
	 * @generated
	 */
	String getHostname();

	/**
	 * Sets the value of the '{@link data.dynamics.STrace#getHostname <em>Hostname</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Hostname</em>' attribute.
	 * @see #getHostname()
	 * @generated
	 */
	void setHostname(String value);

	/**
	 * Returns the value of the '<em><b>Session Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Session Id</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Session Id</em>' attribute.
	 * @see #setSessionId(String)
	 * @see data.dynamics.DynamicsPackage#getSTrace_SessionId()
	 * @model required="true"
	 * @generated
	 */
	String getSessionId();

	/**
	 * Sets the value of the '{@link data.dynamics.STrace#getSessionId <em>Session Id</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Session Id</em>' attribute.
	 * @see #getSessionId()
	 * @generated
	 */
	void setSessionId(String value);

	/**
	 * Returns the value of the '<em><b>Thread Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Thread Id</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Thread Id</em>' attribute.
	 * @see #setThreadId(long)
	 * @see data.dynamics.DynamicsPackage#getSTrace_ThreadId()
	 * @model required="true"
	 * @generated
	 */
	long getThreadId();

	/**
	 * Sets the value of the '{@link data.dynamics.STrace#getThreadId <em>Thread Id</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Thread Id</em>' attribute.
	 * @see #getThreadId()
	 * @generated
	 */
	void setThreadId(long value);

	/**
	 * Returns the value of the '<em><b>Tin</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Tin</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Tin</em>' attribute.
	 * @see #setTin(long)
	 * @see data.dynamics.DynamicsPackage#getSTrace_Tin()
	 * @model required="true"
	 * @generated
	 */
	long getTin();

	/**
	 * Sets the value of the '{@link data.dynamics.STrace#getTin <em>Tin</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Tin</em>' attribute.
	 * @see #getTin()
	 * @generated
	 */
	void setTin(long value);

	/**
	 * Returns the value of the '<em><b>Tout</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Tout</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Tout</em>' attribute.
	 * @see #setTout(long)
	 * @see data.dynamics.DynamicsPackage#getSTrace_Tout()
	 * @model required="true"
	 * @generated
	 */
	long getTout();

	/**
	 * Sets the value of the '{@link data.dynamics.STrace#getTout <em>Tout</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Tout</em>' attribute.
	 * @see #getTout()
	 * @generated
	 */
	void setTout(long value);

	/**
	 * Returns the value of the '<em><b>Class Signature</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Class Signature</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Class Signature</em>' attribute.
	 * @see #setClassSignature(String)
	 * @see data.dynamics.DynamicsPackage#getSTrace_ClassSignature()
	 * @model required="true"
	 * @generated
	 */
	String getClassSignature();

	/**
	 * Sets the value of the '{@link data.dynamics.STrace#getClassSignature <em>Class Signature</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Class Signature</em>' attribute.
	 * @see #getClassSignature()
	 * @generated
	 */
	void setClassSignature(String value);

	/**
	 * Returns the value of the '<em><b>Operation Signature</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Operation Signature</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Operation Signature</em>' attribute.
	 * @see #setOperationSignature(String)
	 * @see data.dynamics.DynamicsPackage#getSTrace_OperationSignature()
	 * @model required="true"
	 * @generated
	 */
	String getOperationSignature();

	/**
	 * Sets the value of the '{@link data.dynamics.STrace#getOperationSignature <em>Operation Signature</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Operation Signature</em>' attribute.
	 * @see #getOperationSignature()
	 * @generated
	 */
	void setOperationSignature(String value);

	/**
	 * Returns the value of the '<em><b>Exec Order</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Exec Order</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Exec Order</em>' attribute.
	 * @see #setExecOrder(int)
	 * @see data.dynamics.DynamicsPackage#getSTrace_ExecOrder()
	 * @model id="true" required="true" ordered="false"
	 * @generated
	 */
	int getExecOrder();

	/**
	 * Sets the value of the '{@link data.dynamics.STrace#getExecOrder <em>Exec Order</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Exec Order</em>' attribute.
	 * @see #getExecOrder()
	 * @generated
	 */
	void setExecOrder(int value);

	/**
	 * Returns the value of the '<em><b>Locks</b></em>' reference list.
	 * The list contents are of type {@link data.synchronisation.MonitorEvent}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Locks</em>' reference list isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Locks</em>' reference list.
	 * @see data.dynamics.DynamicsPackage#getSTrace_Locks()
	 * @model
	 * @generated
	 */
	EList<MonitorEvent> getLocks();

} // STrace
