/**
 */
package data.dynamics.impl;

import data.DataPackage;

import data.dynamics.ConstructorExecution;
import data.dynamics.DynamicsFactory;
import data.dynamics.DynamicsPackage;
import data.dynamics.OperationExecution;
import data.dynamics.SClassInstance;
import data.dynamics.SMethodExecution;
import data.dynamics.STrace;
import data.dynamics.STraceEvent;
import data.dynamics.ThreadCreation;

import data.dynamics.ThreadTermination;
import data.impl.DataPackageImpl;

import data.statics.StaticsPackage;

import data.statics.impl.StaticsPackageImpl;

import data.synchronisation.SynchronisationPackage;

import data.synchronisation.impl.SynchronisationPackageImpl;

import org.eclipse.emf.ecore.EAttribute;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EPackage;
import org.eclipse.emf.ecore.EReference;

import org.eclipse.emf.ecore.impl.EPackageImpl;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model <b>Package</b>.
 * <!-- end-user-doc -->
 * @generated
 */
public class DynamicsPackageImpl extends EPackageImpl implements DynamicsPackage {
	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass sMethodExecutionEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass constructorExecutionEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass threadCreationEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass threadTerminationEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass operationExecutionEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass sClassInstanceEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass sTraceEventEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass sTraceEClass = null;

	/**
	 * Creates an instance of the model <b>Package</b>, registered with
	 * {@link org.eclipse.emf.ecore.EPackage.Registry EPackage.Registry} by the package
	 * package URI value.
	 * <p>Note: the correct way to create the package is via the static
	 * factory method {@link #init init()}, which also performs
	 * initialization of the package, or returns the registered package,
	 * if one already exists.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.emf.ecore.EPackage.Registry
	 * @see data.dynamics.DynamicsPackage#eNS_URI
	 * @see #init()
	 * @generated
	 */
	private DynamicsPackageImpl() {
		super(eNS_URI, DynamicsFactory.eINSTANCE);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private static boolean isInited = false;

	/**
	 * Creates, registers, and initializes the <b>Package</b> for this model, and for any others upon which it depends.
	 * 
	 * <p>This method is used to initialize {@link DynamicsPackage#eINSTANCE} when that field is accessed.
	 * Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #eNS_URI
	 * @see #createPackageContents()
	 * @see #initializePackageContents()
	 * @generated
	 */
	public static DynamicsPackage init() {
		if (isInited) return (DynamicsPackage)EPackage.Registry.INSTANCE.getEPackage(DynamicsPackage.eNS_URI);

		// Obtain or create and register package
		DynamicsPackageImpl theDynamicsPackage = (DynamicsPackageImpl)(EPackage.Registry.INSTANCE.get(eNS_URI) instanceof DynamicsPackageImpl ? EPackage.Registry.INSTANCE.get(eNS_URI) : new DynamicsPackageImpl());

		isInited = true;

		// Obtain or create and register interdependencies
		DataPackageImpl theDataPackage = (DataPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(DataPackage.eNS_URI) instanceof DataPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(DataPackage.eNS_URI) : DataPackage.eINSTANCE);
		StaticsPackageImpl theStaticsPackage = (StaticsPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(StaticsPackage.eNS_URI) instanceof StaticsPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(StaticsPackage.eNS_URI) : StaticsPackage.eINSTANCE);
		SynchronisationPackageImpl theSynchronisationPackage = (SynchronisationPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(SynchronisationPackage.eNS_URI) instanceof SynchronisationPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(SynchronisationPackage.eNS_URI) : SynchronisationPackage.eINSTANCE);

		// Create package meta-data objects
		theDynamicsPackage.createPackageContents();
		theDataPackage.createPackageContents();
		theStaticsPackage.createPackageContents();
		theSynchronisationPackage.createPackageContents();

		// Initialize created meta-data
		theDynamicsPackage.initializePackageContents();
		theDataPackage.initializePackageContents();
		theStaticsPackage.initializePackageContents();
		theSynchronisationPackage.initializePackageContents();

		// Mark meta-data to indicate it can't be changed
		theDynamicsPackage.freeze();

  
		// Update the registry and return the package
		EPackage.Registry.INSTANCE.put(DynamicsPackage.eNS_URI, theDynamicsPackage);
		return theDynamicsPackage;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getSMethodExecution() {
		return sMethodExecutionEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getSMethodExecution_Target() {
		return (EReference)sMethodExecutionEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getConstructorExecution() {
		return constructorExecutionEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getConstructorExecution_Construction() {
		return (EReference)constructorExecutionEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getThreadCreation() {
		return threadCreationEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getThreadCreation_Target() {
		return (EReference)threadCreationEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getThreadTermination() {
		return threadTerminationEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getOperationExecution() {
		return operationExecutionEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getOperationExecution_SMethod() {
		return (EReference)operationExecutionEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getOperationExecution_Tout() {
		return (EAttribute)operationExecutionEClass.getEStructuralFeatures().get(1);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getSClassInstance() {
		return sClassInstanceEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getSClassInstance_ConstructorExecution() {
		return (EReference)sClassInstanceEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getSClassInstance_SClass() {
		return (EReference)sClassInstanceEClass.getEStructuralFeatures().get(1);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getSClassInstance_KiekerObjectId() {
		return (EAttribute)sClassInstanceEClass.getEStructuralFeatures().get(2);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getSTraceEvent() {
		return sTraceEventEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getSTraceEvent_OrderIndex() {
		return (EAttribute)sTraceEventEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getSTraceEvent_Tin() {
		return (EAttribute)sTraceEventEClass.getEStructuralFeatures().get(1);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getSTraceEvent_Ess() {
		return (EAttribute)sTraceEventEClass.getEStructuralFeatures().get(2);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getSTraceEvent_Source() {
		return (EReference)sTraceEventEClass.getEStructuralFeatures().get(3);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getSTraceEvent_Parent() {
		return (EReference)sTraceEventEClass.getEStructuralFeatures().get(4);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getSTraceEvent_Trace() {
		return (EReference)sTraceEventEClass.getEStructuralFeatures().get(5);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getSTraceEvent_ExecOrder() {
		return (EAttribute)sTraceEventEClass.getEStructuralFeatures().get(6);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getSTraceEvent_TraceId() {
		return (EAttribute)sTraceEventEClass.getEStructuralFeatures().get(7);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getSTrace() {
		return sTraceEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getSTrace_Events() {
		return (EReference)sTraceEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getSTrace_TraceId() {
		return (EAttribute)sTraceEClass.getEStructuralFeatures().get(1);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getSTrace_ParentTraceId() {
		return (EAttribute)sTraceEClass.getEStructuralFeatures().get(2);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getSTrace_ParentOrderIndex() {
		return (EAttribute)sTraceEClass.getEStructuralFeatures().get(3);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getSTrace_Hostname() {
		return (EAttribute)sTraceEClass.getEStructuralFeatures().get(4);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getSTrace_SessionId() {
		return (EAttribute)sTraceEClass.getEStructuralFeatures().get(5);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getSTrace_ThreadId() {
		return (EAttribute)sTraceEClass.getEStructuralFeatures().get(6);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getSTrace_Tin() {
		return (EAttribute)sTraceEClass.getEStructuralFeatures().get(7);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getSTrace_Tout() {
		return (EAttribute)sTraceEClass.getEStructuralFeatures().get(8);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getSTrace_ClassSignature() {
		return (EAttribute)sTraceEClass.getEStructuralFeatures().get(9);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getSTrace_OperationSignature() {
		return (EAttribute)sTraceEClass.getEStructuralFeatures().get(10);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getSTrace_ExecOrder() {
		return (EAttribute)sTraceEClass.getEStructuralFeatures().get(11);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getSTrace_Locks() {
		return (EReference)sTraceEClass.getEStructuralFeatures().get(12);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public DynamicsFactory getDynamicsFactory() {
		return (DynamicsFactory)getEFactoryInstance();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private boolean isCreated = false;

	/**
	 * Creates the meta-model objects for the package.  This method is
	 * guarded to have no affect on any invocation but its first.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void createPackageContents() {
		if (isCreated) return;
		isCreated = true;

		// Create classes and their features
		sMethodExecutionEClass = createEClass(SMETHOD_EXECUTION);
		createEReference(sMethodExecutionEClass, SMETHOD_EXECUTION__TARGET);

		constructorExecutionEClass = createEClass(CONSTRUCTOR_EXECUTION);
		createEReference(constructorExecutionEClass, CONSTRUCTOR_EXECUTION__CONSTRUCTION);

		threadCreationEClass = createEClass(THREAD_CREATION);
		createEReference(threadCreationEClass, THREAD_CREATION__TARGET);

		threadTerminationEClass = createEClass(THREAD_TERMINATION);

		operationExecutionEClass = createEClass(OPERATION_EXECUTION);
		createEReference(operationExecutionEClass, OPERATION_EXECUTION__SMETHOD);
		createEAttribute(operationExecutionEClass, OPERATION_EXECUTION__TOUT);

		sClassInstanceEClass = createEClass(SCLASS_INSTANCE);
		createEReference(sClassInstanceEClass, SCLASS_INSTANCE__CONSTRUCTOR_EXECUTION);
		createEReference(sClassInstanceEClass, SCLASS_INSTANCE__SCLASS);
		createEAttribute(sClassInstanceEClass, SCLASS_INSTANCE__KIEKER_OBJECT_ID);

		sTraceEventEClass = createEClass(STRACE_EVENT);
		createEAttribute(sTraceEventEClass, STRACE_EVENT__ORDER_INDEX);
		createEAttribute(sTraceEventEClass, STRACE_EVENT__TIN);
		createEAttribute(sTraceEventEClass, STRACE_EVENT__ESS);
		createEReference(sTraceEventEClass, STRACE_EVENT__SOURCE);
		createEReference(sTraceEventEClass, STRACE_EVENT__PARENT);
		createEReference(sTraceEventEClass, STRACE_EVENT__TRACE);
		createEAttribute(sTraceEventEClass, STRACE_EVENT__EXEC_ORDER);
		createEAttribute(sTraceEventEClass, STRACE_EVENT__TRACE_ID);

		sTraceEClass = createEClass(STRACE);
		createEReference(sTraceEClass, STRACE__EVENTS);
		createEAttribute(sTraceEClass, STRACE__TRACE_ID);
		createEAttribute(sTraceEClass, STRACE__PARENT_TRACE_ID);
		createEAttribute(sTraceEClass, STRACE__PARENT_ORDER_INDEX);
		createEAttribute(sTraceEClass, STRACE__HOSTNAME);
		createEAttribute(sTraceEClass, STRACE__SESSION_ID);
		createEAttribute(sTraceEClass, STRACE__THREAD_ID);
		createEAttribute(sTraceEClass, STRACE__TIN);
		createEAttribute(sTraceEClass, STRACE__TOUT);
		createEAttribute(sTraceEClass, STRACE__CLASS_SIGNATURE);
		createEAttribute(sTraceEClass, STRACE__OPERATION_SIGNATURE);
		createEAttribute(sTraceEClass, STRACE__EXEC_ORDER);
		createEReference(sTraceEClass, STRACE__LOCKS);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private boolean isInitialized = false;

	/**
	 * Complete the initialization of the package and its meta-model.  This
	 * method is guarded to have no affect on any invocation but its first.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void initializePackageContents() {
		if (isInitialized) return;
		isInitialized = true;

		// Initialize package
		setName(eNAME);
		setNsPrefix(eNS_PREFIX);
		setNsURI(eNS_URI);

		// Obtain other dependent packages
		StaticsPackage theStaticsPackage = (StaticsPackage)EPackage.Registry.INSTANCE.getEPackage(StaticsPackage.eNS_URI);
		DataPackage theDataPackage = (DataPackage)EPackage.Registry.INSTANCE.getEPackage(DataPackage.eNS_URI);
		SynchronisationPackage theSynchronisationPackage = (SynchronisationPackage)EPackage.Registry.INSTANCE.getEPackage(SynchronisationPackage.eNS_URI);

		// Create type parameters

		// Set bounds for type parameters

		// Add supertypes to classes
		sMethodExecutionEClass.getESuperTypes().add(this.getOperationExecution());
		constructorExecutionEClass.getESuperTypes().add(this.getOperationExecution());
		threadCreationEClass.getESuperTypes().add(this.getSTraceEvent());
		threadTerminationEClass.getESuperTypes().add(this.getSTraceEvent());
		operationExecutionEClass.getESuperTypes().add(this.getSTraceEvent());
		sClassInstanceEClass.getESuperTypes().add(theDataPackage.getVisualizableElement());
		sTraceEventEClass.getESuperTypes().add(theDataPackage.getVisualizableElement());
		sTraceEClass.getESuperTypes().add(theDataPackage.getVisualizableElement());

		// Initialize classes and features; add operations and parameters
		initEClass(sMethodExecutionEClass, SMethodExecution.class, "SMethodExecution", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEReference(getSMethodExecution_Target(), this.getSClassInstance(), null, "target", null, 1, 1, SMethodExecution.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

		initEClass(constructorExecutionEClass, ConstructorExecution.class, "ConstructorExecution", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEReference(getConstructorExecution_Construction(), this.getSClassInstance(), null, "construction", null, 1, 1, ConstructorExecution.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

		initEClass(threadCreationEClass, ThreadCreation.class, "ThreadCreation", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEReference(getThreadCreation_Target(), this.getSTrace(), null, "target", null, 1, 1, ThreadCreation.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

		initEClass(threadTerminationEClass, ThreadTermination.class, "ThreadTermination", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

		initEClass(operationExecutionEClass, OperationExecution.class, "OperationExecution", IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEReference(getOperationExecution_SMethod(), theStaticsPackage.getSMethod(), null, "sMethod", null, 0, 1, OperationExecution.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEAttribute(getOperationExecution_Tout(), ecorePackage.getELong(), "tout", null, 1, 1, OperationExecution.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

		initEClass(sClassInstanceEClass, SClassInstance.class, "SClassInstance", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEReference(getSClassInstance_ConstructorExecution(), this.getConstructorExecution(), null, "constructorExecution", null, 0, 1, SClassInstance.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEReference(getSClassInstance_SClass(), theStaticsPackage.getSClass(), null, "sClass", null, 0, 1, SClassInstance.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEAttribute(getSClassInstance_KiekerObjectId(), ecorePackage.getEInt(), "kiekerObjectId", null, 1, 1, SClassInstance.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

		initEClass(sTraceEventEClass, STraceEvent.class, "STraceEvent", IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEAttribute(getSTraceEvent_OrderIndex(), ecorePackage.getEInt(), "orderIndex", null, 1, 1, STraceEvent.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEAttribute(getSTraceEvent_Tin(), ecorePackage.getELong(), "tin", null, 1, 1, STraceEvent.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEAttribute(getSTraceEvent_Ess(), ecorePackage.getEInt(), "ess", null, 1, 1, STraceEvent.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEReference(getSTraceEvent_Source(), this.getSClassInstance(), null, "source", null, 0, 1, STraceEvent.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEReference(getSTraceEvent_Parent(), this.getOperationExecution(), null, "parent", null, 0, 1, STraceEvent.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEReference(getSTraceEvent_Trace(), this.getSTrace(), null, "trace", null, 1, 1, STraceEvent.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEAttribute(getSTraceEvent_ExecOrder(), ecorePackage.getEInt(), "execOrder", null, 1, 1, STraceEvent.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, IS_ID, IS_UNIQUE, !IS_DERIVED, !IS_ORDERED);
		initEAttribute(getSTraceEvent_TraceId(), ecorePackage.getELong(), "traceId", null, 1, 1, STraceEvent.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

		initEClass(sTraceEClass, STrace.class, "STrace", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEReference(getSTrace_Events(), this.getSTraceEvent(), null, "events", null, 0, -1, STrace.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEAttribute(getSTrace_TraceId(), ecorePackage.getELong(), "traceId", null, 1, 1, STrace.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEAttribute(getSTrace_ParentTraceId(), ecorePackage.getELong(), "parentTraceId", null, 1, 1, STrace.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEAttribute(getSTrace_ParentOrderIndex(), ecorePackage.getEInt(), "parentOrderIndex", null, 0, 1, STrace.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEAttribute(getSTrace_Hostname(), ecorePackage.getEString(), "hostname", null, 1, 1, STrace.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEAttribute(getSTrace_SessionId(), ecorePackage.getEString(), "sessionId", null, 1, 1, STrace.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEAttribute(getSTrace_ThreadId(), ecorePackage.getELong(), "threadId", null, 1, 1, STrace.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEAttribute(getSTrace_Tin(), ecorePackage.getELong(), "tin", null, 1, 1, STrace.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEAttribute(getSTrace_Tout(), ecorePackage.getELong(), "tout", null, 1, 1, STrace.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEAttribute(getSTrace_ClassSignature(), ecorePackage.getEString(), "classSignature", null, 1, 1, STrace.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEAttribute(getSTrace_OperationSignature(), ecorePackage.getEString(), "operationSignature", null, 1, 1, STrace.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEAttribute(getSTrace_ExecOrder(), ecorePackage.getEInt(), "execOrder", null, 1, 1, STrace.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, IS_ID, IS_UNIQUE, !IS_DERIVED, !IS_ORDERED);
		initEReference(getSTrace_Locks(), theSynchronisationPackage.getMonitorEvent(), null, "locks", null, 0, -1, STrace.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
	}

} //DynamicsPackageImpl
