/**
 */
package data.dynamics.util;

import data.VisualizableElement;

import data.dynamics.*;

import org.eclipse.emf.common.notify.Adapter;
import org.eclipse.emf.common.notify.Notifier;

import org.eclipse.emf.common.notify.impl.AdapterFactoryImpl;

import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc -->
 * The <b>Adapter Factory</b> for the model.
 * It provides an adapter <code>createXXX</code> method for each class of the model.
 * <!-- end-user-doc -->
 * @see data.dynamics.DynamicsPackage
 * @generated
 */
public class DynamicsAdapterFactory extends AdapterFactoryImpl {
	/**
	 * The cached model package.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected static DynamicsPackage modelPackage;

	/**
	 * Creates an instance of the adapter factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public DynamicsAdapterFactory() {
		if (modelPackage == null) {
			modelPackage = DynamicsPackage.eINSTANCE;
		}
	}

	/**
	 * Returns whether this factory is applicable for the type of the object.
	 * <!-- begin-user-doc -->
	 * This implementation returns <code>true</code> if the object is either the model's package or is an instance object of the model.
	 * <!-- end-user-doc -->
	 * @return whether this factory is applicable for the type of the object.
	 * @generated
	 */
	@Override
	public boolean isFactoryForType(Object object) {
		if (object == modelPackage) {
			return true;
		}
		if (object instanceof EObject) {
			return ((EObject)object).eClass().getEPackage() == modelPackage;
		}
		return false;
	}

	/**
	 * The switch that delegates to the <code>createXXX</code> methods.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected DynamicsSwitch<Adapter> modelSwitch =
		new DynamicsSwitch<Adapter>() {
			@Override
			public Adapter caseSMethodExecution(SMethodExecution object) {
				return createSMethodExecutionAdapter();
			}
			@Override
			public Adapter caseConstructorExecution(ConstructorExecution object) {
				return createConstructorExecutionAdapter();
			}
			@Override
			public Adapter caseThreadCreation(ThreadCreation object) {
				return createThreadCreationAdapter();
			}
			@Override
			public Adapter caseThreadTermination(ThreadTermination object) {
				return createThreadTerminationAdapter();
			}
			@Override
			public Adapter caseOperationExecution(OperationExecution object) {
				return createOperationExecutionAdapter();
			}
			@Override
			public Adapter caseSClassInstance(SClassInstance object) {
				return createSClassInstanceAdapter();
			}
			@Override
			public Adapter caseSTraceEvent(STraceEvent object) {
				return createSTraceEventAdapter();
			}
			@Override
			public Adapter caseSTrace(STrace object) {
				return createSTraceAdapter();
			}
			@Override
			public Adapter caseVisualizableElement(VisualizableElement object) {
				return createVisualizableElementAdapter();
			}
			@Override
			public Adapter defaultCase(EObject object) {
				return createEObjectAdapter();
			}
		};

	/**
	 * Creates an adapter for the <code>target</code>.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param target the object to adapt.
	 * @return the adapter for the <code>target</code>.
	 * @generated
	 */
	@Override
	public Adapter createAdapter(Notifier target) {
		return modelSwitch.doSwitch((EObject)target);
	}


	/**
	 * Creates a new adapter for an object of class '{@link data.dynamics.SMethodExecution <em>SMethod Execution</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see data.dynamics.SMethodExecution
	 * @generated
	 */
	public Adapter createSMethodExecutionAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link data.dynamics.ConstructorExecution <em>Constructor Execution</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see data.dynamics.ConstructorExecution
	 * @generated
	 */
	public Adapter createConstructorExecutionAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link data.dynamics.ThreadCreation <em>Thread Creation</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see data.dynamics.ThreadCreation
	 * @generated
	 */
	public Adapter createThreadCreationAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link data.dynamics.ThreadTermination <em>Thread Termination</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see data.dynamics.ThreadTermination
	 * @generated
	 */
	public Adapter createThreadTerminationAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link data.dynamics.OperationExecution <em>Operation Execution</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see data.dynamics.OperationExecution
	 * @generated
	 */
	public Adapter createOperationExecutionAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link data.dynamics.SClassInstance <em>SClass Instance</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see data.dynamics.SClassInstance
	 * @generated
	 */
	public Adapter createSClassInstanceAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link data.dynamics.STraceEvent <em>STrace Event</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see data.dynamics.STraceEvent
	 * @generated
	 */
	public Adapter createSTraceEventAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link data.dynamics.STrace <em>STrace</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see data.dynamics.STrace
	 * @generated
	 */
	public Adapter createSTraceAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link data.VisualizableElement <em>Visualizable Element</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see data.VisualizableElement
	 * @generated
	 */
	public Adapter createVisualizableElementAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for the default case.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @generated
	 */
	public Adapter createEObjectAdapter() {
		return null;
	}

} //DynamicsAdapterFactory
