/**
 */
package data.dynamics.util;

import data.VisualizableElement;

import data.dynamics.*;

import org.eclipse.emf.ecore.EObject;
import org.eclipse.emf.ecore.EPackage;

import org.eclipse.emf.ecore.util.Switch;

/**
 * <!-- begin-user-doc -->
 * The <b>Switch</b> for the model's inheritance hierarchy.
 * It supports the call {@link #doSwitch(EObject) doSwitch(object)}
 * to invoke the <code>caseXXX</code> method for each class of the model,
 * starting with the actual class of the object
 * and proceeding up the inheritance hierarchy
 * until a non-null result is returned,
 * which is the result of the switch.
 * <!-- end-user-doc -->
 * @see data.dynamics.DynamicsPackage
 * @generated
 */
public class DynamicsSwitch<T> extends Switch<T> {
	/**
	 * The cached model package
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected static DynamicsPackage modelPackage;

	/**
	 * Creates an instance of the switch.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public DynamicsSwitch() {
		if (modelPackage == null) {
			modelPackage = DynamicsPackage.eINSTANCE;
		}
	}

	/**
	 * Checks whether this is a switch for the given package.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @parameter ePackage the package in question.
	 * @return whether this is a switch for the given package.
	 * @generated
	 */
	@Override
	protected boolean isSwitchFor(EPackage ePackage) {
		return ePackage == modelPackage;
	}

	/**
	 * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the first non-null result returned by a <code>caseXXX</code> call.
	 * @generated
	 */
	@Override
	protected T doSwitch(int classifierID, EObject theEObject) {
		switch (classifierID) {
			case DynamicsPackage.SMETHOD_EXECUTION: {
				SMethodExecution sMethodExecution = (SMethodExecution)theEObject;
				T result = caseSMethodExecution(sMethodExecution);
				if (result == null) result = caseOperationExecution(sMethodExecution);
				if (result == null) result = caseSTraceEvent(sMethodExecution);
				if (result == null) result = caseVisualizableElement(sMethodExecution);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case DynamicsPackage.CONSTRUCTOR_EXECUTION: {
				ConstructorExecution constructorExecution = (ConstructorExecution)theEObject;
				T result = caseConstructorExecution(constructorExecution);
				if (result == null) result = caseOperationExecution(constructorExecution);
				if (result == null) result = caseSTraceEvent(constructorExecution);
				if (result == null) result = caseVisualizableElement(constructorExecution);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case DynamicsPackage.THREAD_CREATION: {
				ThreadCreation threadCreation = (ThreadCreation)theEObject;
				T result = caseThreadCreation(threadCreation);
				if (result == null) result = caseSTraceEvent(threadCreation);
				if (result == null) result = caseVisualizableElement(threadCreation);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case DynamicsPackage.THREAD_TERMINATION: {
				ThreadTermination threadTermination = (ThreadTermination)theEObject;
				T result = caseThreadTermination(threadTermination);
				if (result == null) result = caseSTraceEvent(threadTermination);
				if (result == null) result = caseVisualizableElement(threadTermination);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case DynamicsPackage.OPERATION_EXECUTION: {
				OperationExecution operationExecution = (OperationExecution)theEObject;
				T result = caseOperationExecution(operationExecution);
				if (result == null) result = caseSTraceEvent(operationExecution);
				if (result == null) result = caseVisualizableElement(operationExecution);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case DynamicsPackage.SCLASS_INSTANCE: {
				SClassInstance sClassInstance = (SClassInstance)theEObject;
				T result = caseSClassInstance(sClassInstance);
				if (result == null) result = caseVisualizableElement(sClassInstance);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case DynamicsPackage.STRACE_EVENT: {
				STraceEvent sTraceEvent = (STraceEvent)theEObject;
				T result = caseSTraceEvent(sTraceEvent);
				if (result == null) result = caseVisualizableElement(sTraceEvent);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case DynamicsPackage.STRACE: {
				STrace sTrace = (STrace)theEObject;
				T result = caseSTrace(sTrace);
				if (result == null) result = caseVisualizableElement(sTrace);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			default: return defaultCase(theEObject);
		}
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>SMethod Execution</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>SMethod Execution</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseSMethodExecution(SMethodExecution object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Constructor Execution</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Constructor Execution</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseConstructorExecution(ConstructorExecution object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Thread Creation</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Thread Creation</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseThreadCreation(ThreadCreation object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Thread Termination</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Thread Termination</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseThreadTermination(ThreadTermination object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Operation Execution</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Operation Execution</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseOperationExecution(OperationExecution object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>SClass Instance</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>SClass Instance</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseSClassInstance(SClassInstance object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>STrace Event</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>STrace Event</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseSTraceEvent(STraceEvent object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>STrace</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>STrace</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseSTrace(STrace object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Visualizable Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Visualizable Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseVisualizableElement(VisualizableElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>EObject</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch, but this is the last case anyway.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>EObject</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject)
	 * @generated
	 */
	@Override
	public T defaultCase(EObject object) {
		return null;
	}

} //DynamicsSwitch
