/**
 */
package data.synchronisation;

import data.DataPackage;
import data.dynamics.DynamicsPackage;

import org.eclipse.emf.ecore.EAttribute;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EEnum;
import org.eclipse.emf.ecore.EPackage;
import org.eclipse.emf.ecore.EReference;

/**
 * <!-- begin-user-doc -->
 * The <b>Package</b> for the model.
 * It contains accessors for the meta objects to represent
 * <ul>
 *   <li>each class,</li>
 *   <li>each feature of each class,</li>
 *   <li>each enum,</li>
 *   <li>and each data type</li>
 * </ul>
 * <!-- end-user-doc -->
 * @see data.synchronisation.SynchronisationFactory
 * @model kind="package"
 * @generated
 */
public interface SynchronisationPackage extends EPackage {
	/**
	 * The package name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNAME = "synchronisation";

	/**
	 * The package namespace URI.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNS_URI = "http://pdo-masterthesis-ss12.de/dataModel/data/synchronisation";

	/**
	 * The package namespace name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNS_PREFIX = "syn";

	/**
	 * The singleton instance of the package.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	SynchronisationPackage eINSTANCE = data.synchronisation.impl.SynchronisationPackageImpl.init();

	/**
	 * The meta object id for the '{@link data.synchronisation.impl.ThreadJoinImpl <em>Thread Join</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see data.synchronisation.impl.ThreadJoinImpl
	 * @see data.synchronisation.impl.SynchronisationPackageImpl#getThreadJoin()
	 * @generated
	 */
	int THREAD_JOIN = 0;

	/**
	 * The feature id for the '<em><b>Metaphor Object</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int THREAD_JOIN__METAPHOR_OBJECT = DynamicsPackage.STRACE_EVENT__METAPHOR_OBJECT;

	/**
	 * The feature id for the '<em><b>Order Index</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int THREAD_JOIN__ORDER_INDEX = DynamicsPackage.STRACE_EVENT__ORDER_INDEX;

	/**
	 * The feature id for the '<em><b>Tin</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int THREAD_JOIN__TIN = DynamicsPackage.STRACE_EVENT__TIN;

	/**
	 * The feature id for the '<em><b>Ess</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int THREAD_JOIN__ESS = DynamicsPackage.STRACE_EVENT__ESS;

	/**
	 * The feature id for the '<em><b>Source</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int THREAD_JOIN__SOURCE = DynamicsPackage.STRACE_EVENT__SOURCE;

	/**
	 * The feature id for the '<em><b>Parent</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int THREAD_JOIN__PARENT = DynamicsPackage.STRACE_EVENT__PARENT;

	/**
	 * The feature id for the '<em><b>Trace</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int THREAD_JOIN__TRACE = DynamicsPackage.STRACE_EVENT__TRACE;

	/**
	 * The feature id for the '<em><b>Exec Order</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int THREAD_JOIN__EXEC_ORDER = DynamicsPackage.STRACE_EVENT__EXEC_ORDER;

	/**
	 * The feature id for the '<em><b>Trace Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int THREAD_JOIN__TRACE_ID = DynamicsPackage.STRACE_EVENT__TRACE_ID;

	/**
	 * The feature id for the '<em><b>Target</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int THREAD_JOIN__TARGET = DynamicsPackage.STRACE_EVENT_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Thread Join</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int THREAD_JOIN_FEATURE_COUNT = DynamicsPackage.STRACE_EVENT_FEATURE_COUNT + 1;

	/**
	 * The meta object id for the '{@link data.synchronisation.impl.WaitNotifyEventImpl <em>Wait Notify Event</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see data.synchronisation.impl.WaitNotifyEventImpl
	 * @see data.synchronisation.impl.SynchronisationPackageImpl#getWaitNotifyEvent()
	 * @generated
	 */
	int WAIT_NOTIFY_EVENT = 1;

	/**
	 * The feature id for the '<em><b>Metaphor Object</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int WAIT_NOTIFY_EVENT__METAPHOR_OBJECT = DynamicsPackage.STRACE_EVENT__METAPHOR_OBJECT;

	/**
	 * The feature id for the '<em><b>Order Index</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int WAIT_NOTIFY_EVENT__ORDER_INDEX = DynamicsPackage.STRACE_EVENT__ORDER_INDEX;

	/**
	 * The feature id for the '<em><b>Tin</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int WAIT_NOTIFY_EVENT__TIN = DynamicsPackage.STRACE_EVENT__TIN;

	/**
	 * The feature id for the '<em><b>Ess</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int WAIT_NOTIFY_EVENT__ESS = DynamicsPackage.STRACE_EVENT__ESS;

	/**
	 * The feature id for the '<em><b>Source</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int WAIT_NOTIFY_EVENT__SOURCE = DynamicsPackage.STRACE_EVENT__SOURCE;

	/**
	 * The feature id for the '<em><b>Parent</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int WAIT_NOTIFY_EVENT__PARENT = DynamicsPackage.STRACE_EVENT__PARENT;

	/**
	 * The feature id for the '<em><b>Trace</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int WAIT_NOTIFY_EVENT__TRACE = DynamicsPackage.STRACE_EVENT__TRACE;

	/**
	 * The feature id for the '<em><b>Exec Order</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int WAIT_NOTIFY_EVENT__EXEC_ORDER = DynamicsPackage.STRACE_EVENT__EXEC_ORDER;

	/**
	 * The feature id for the '<em><b>Trace Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int WAIT_NOTIFY_EVENT__TRACE_ID = DynamicsPackage.STRACE_EVENT__TRACE_ID;

	/**
	 * The feature id for the '<em><b>Type</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int WAIT_NOTIFY_EVENT__TYPE = DynamicsPackage.STRACE_EVENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Target</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int WAIT_NOTIFY_EVENT__TARGET = DynamicsPackage.STRACE_EVENT_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Wait Notify Event</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int WAIT_NOTIFY_EVENT_FEATURE_COUNT = DynamicsPackage.STRACE_EVENT_FEATURE_COUNT + 2;

	/**
	 * The meta object id for the '{@link data.synchronisation.impl.SynchronisationObjectImpl <em>Object</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see data.synchronisation.impl.SynchronisationObjectImpl
	 * @see data.synchronisation.impl.SynchronisationPackageImpl#getSynchronisationObject()
	 * @generated
	 */
	int SYNCHRONISATION_OBJECT = 5;

	/**
	 * The feature id for the '<em><b>Metaphor Object</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SYNCHRONISATION_OBJECT__METAPHOR_OBJECT = DataPackage.VISUALIZABLE_ELEMENT__METAPHOR_OBJECT;

	/**
	 * The feature id for the '<em><b>Kieker Class Signature</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SYNCHRONISATION_OBJECT__KIEKER_CLASS_SIGNATURE = DataPackage.VISUALIZABLE_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Real Instance</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SYNCHRONISATION_OBJECT__REAL_INSTANCE = DataPackage.VISUALIZABLE_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Kieker Object Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SYNCHRONISATION_OBJECT__KIEKER_OBJECT_ID = DataPackage.VISUALIZABLE_ELEMENT_FEATURE_COUNT + 2;

	/**
	 * The number of structural features of the '<em>Object</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SYNCHRONISATION_OBJECT_FEATURE_COUNT = DataPackage.VISUALIZABLE_ELEMENT_FEATURE_COUNT + 3;

	/**
	 * The meta object id for the '{@link data.synchronisation.impl.MonitorObjectImpl <em>Monitor Object</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see data.synchronisation.impl.MonitorObjectImpl
	 * @see data.synchronisation.impl.SynchronisationPackageImpl#getMonitorObject()
	 * @generated
	 */
	int MONITOR_OBJECT = 2;

	/**
	 * The feature id for the '<em><b>Metaphor Object</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MONITOR_OBJECT__METAPHOR_OBJECT = SYNCHRONISATION_OBJECT__METAPHOR_OBJECT;

	/**
	 * The feature id for the '<em><b>Kieker Class Signature</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MONITOR_OBJECT__KIEKER_CLASS_SIGNATURE = SYNCHRONISATION_OBJECT__KIEKER_CLASS_SIGNATURE;

	/**
	 * The feature id for the '<em><b>Real Instance</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MONITOR_OBJECT__REAL_INSTANCE = SYNCHRONISATION_OBJECT__REAL_INSTANCE;

	/**
	 * The feature id for the '<em><b>Kieker Object Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MONITOR_OBJECT__KIEKER_OBJECT_ID = SYNCHRONISATION_OBJECT__KIEKER_OBJECT_ID;

	/**
	 * The feature id for the '<em><b>Creator</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MONITOR_OBJECT__CREATOR = SYNCHRONISATION_OBJECT_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Monitor Object</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MONITOR_OBJECT_FEATURE_COUNT = SYNCHRONISATION_OBJECT_FEATURE_COUNT + 1;

	/**
	 * The meta object id for the '{@link data.synchronisation.impl.MonitorEventImpl <em>Monitor Event</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see data.synchronisation.impl.MonitorEventImpl
	 * @see data.synchronisation.impl.SynchronisationPackageImpl#getMonitorEvent()
	 * @generated
	 */
	int MONITOR_EVENT = 3;

	/**
	 * The feature id for the '<em><b>Metaphor Object</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MONITOR_EVENT__METAPHOR_OBJECT = DynamicsPackage.STRACE_EVENT__METAPHOR_OBJECT;

	/**
	 * The feature id for the '<em><b>Order Index</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MONITOR_EVENT__ORDER_INDEX = DynamicsPackage.STRACE_EVENT__ORDER_INDEX;

	/**
	 * The feature id for the '<em><b>Tin</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MONITOR_EVENT__TIN = DynamicsPackage.STRACE_EVENT__TIN;

	/**
	 * The feature id for the '<em><b>Ess</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MONITOR_EVENT__ESS = DynamicsPackage.STRACE_EVENT__ESS;

	/**
	 * The feature id for the '<em><b>Source</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MONITOR_EVENT__SOURCE = DynamicsPackage.STRACE_EVENT__SOURCE;

	/**
	 * The feature id for the '<em><b>Parent</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MONITOR_EVENT__PARENT = DynamicsPackage.STRACE_EVENT__PARENT;

	/**
	 * The feature id for the '<em><b>Trace</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MONITOR_EVENT__TRACE = DynamicsPackage.STRACE_EVENT__TRACE;

	/**
	 * The feature id for the '<em><b>Exec Order</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MONITOR_EVENT__EXEC_ORDER = DynamicsPackage.STRACE_EVENT__EXEC_ORDER;

	/**
	 * The feature id for the '<em><b>Trace Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MONITOR_EVENT__TRACE_ID = DynamicsPackage.STRACE_EVENT__TRACE_ID;

	/**
	 * The feature id for the '<em><b>Type</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MONITOR_EVENT__TYPE = DynamicsPackage.STRACE_EVENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Target</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MONITOR_EVENT__TARGET = DynamicsPackage.STRACE_EVENT_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Monitor Event</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MONITOR_EVENT_FEATURE_COUNT = DynamicsPackage.STRACE_EVENT_FEATURE_COUNT + 2;

	/**
	 * The meta object id for the '{@link data.synchronisation.impl.WaitNotifyObjectImpl <em>Wait Notify Object</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see data.synchronisation.impl.WaitNotifyObjectImpl
	 * @see data.synchronisation.impl.SynchronisationPackageImpl#getWaitNotifyObject()
	 * @generated
	 */
	int WAIT_NOTIFY_OBJECT = 4;

	/**
	 * The feature id for the '<em><b>Metaphor Object</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int WAIT_NOTIFY_OBJECT__METAPHOR_OBJECT = SYNCHRONISATION_OBJECT__METAPHOR_OBJECT;

	/**
	 * The feature id for the '<em><b>Kieker Class Signature</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int WAIT_NOTIFY_OBJECT__KIEKER_CLASS_SIGNATURE = SYNCHRONISATION_OBJECT__KIEKER_CLASS_SIGNATURE;

	/**
	 * The feature id for the '<em><b>Real Instance</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int WAIT_NOTIFY_OBJECT__REAL_INSTANCE = SYNCHRONISATION_OBJECT__REAL_INSTANCE;

	/**
	 * The feature id for the '<em><b>Kieker Object Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int WAIT_NOTIFY_OBJECT__KIEKER_OBJECT_ID = SYNCHRONISATION_OBJECT__KIEKER_OBJECT_ID;

	/**
	 * The feature id for the '<em><b>Creator</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int WAIT_NOTIFY_OBJECT__CREATOR = SYNCHRONISATION_OBJECT_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Wait Notify Object</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int WAIT_NOTIFY_OBJECT_FEATURE_COUNT = SYNCHRONISATION_OBJECT_FEATURE_COUNT + 1;

	/**
	 * The meta object id for the '{@link data.synchronisation.WaitNotifyMethod <em>Wait Notify Method</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see data.synchronisation.WaitNotifyMethod
	 * @see data.synchronisation.impl.SynchronisationPackageImpl#getWaitNotifyMethod()
	 * @generated
	 */
	int WAIT_NOTIFY_METHOD = 6;

	/**
	 * The meta object id for the '{@link data.synchronisation.MonitorMethod <em>Monitor Method</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see data.synchronisation.MonitorMethod
	 * @see data.synchronisation.impl.SynchronisationPackageImpl#getMonitorMethod()
	 * @generated
	 */
	int MONITOR_METHOD = 7;


	/**
	 * Returns the meta object for class '{@link data.synchronisation.ThreadJoin <em>Thread Join</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Thread Join</em>'.
	 * @see data.synchronisation.ThreadJoin
	 * @generated
	 */
	EClass getThreadJoin();

	/**
	 * Returns the meta object for the reference '{@link data.synchronisation.ThreadJoin#getTarget <em>Target</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Target</em>'.
	 * @see data.synchronisation.ThreadJoin#getTarget()
	 * @see #getThreadJoin()
	 * @generated
	 */
	EReference getThreadJoin_Target();

	/**
	 * Returns the meta object for class '{@link data.synchronisation.WaitNotifyEvent <em>Wait Notify Event</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Wait Notify Event</em>'.
	 * @see data.synchronisation.WaitNotifyEvent
	 * @generated
	 */
	EClass getWaitNotifyEvent();

	/**
	 * Returns the meta object for the attribute '{@link data.synchronisation.WaitNotifyEvent#getType <em>Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Type</em>'.
	 * @see data.synchronisation.WaitNotifyEvent#getType()
	 * @see #getWaitNotifyEvent()
	 * @generated
	 */
	EAttribute getWaitNotifyEvent_Type();

	/**
	 * Returns the meta object for the reference '{@link data.synchronisation.WaitNotifyEvent#getTarget <em>Target</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Target</em>'.
	 * @see data.synchronisation.WaitNotifyEvent#getTarget()
	 * @see #getWaitNotifyEvent()
	 * @generated
	 */
	EReference getWaitNotifyEvent_Target();

	/**
	 * Returns the meta object for class '{@link data.synchronisation.MonitorObject <em>Monitor Object</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Monitor Object</em>'.
	 * @see data.synchronisation.MonitorObject
	 * @generated
	 */
	EClass getMonitorObject();

	/**
	 * Returns the meta object for the reference '{@link data.synchronisation.MonitorObject#getCreator <em>Creator</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Creator</em>'.
	 * @see data.synchronisation.MonitorObject#getCreator()
	 * @see #getMonitorObject()
	 * @generated
	 */
	EReference getMonitorObject_Creator();

	/**
	 * Returns the meta object for class '{@link data.synchronisation.MonitorEvent <em>Monitor Event</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Monitor Event</em>'.
	 * @see data.synchronisation.MonitorEvent
	 * @generated
	 */
	EClass getMonitorEvent();

	/**
	 * Returns the meta object for the attribute '{@link data.synchronisation.MonitorEvent#getType <em>Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Type</em>'.
	 * @see data.synchronisation.MonitorEvent#getType()
	 * @see #getMonitorEvent()
	 * @generated
	 */
	EAttribute getMonitorEvent_Type();

	/**
	 * Returns the meta object for the reference '{@link data.synchronisation.MonitorEvent#getTarget <em>Target</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Target</em>'.
	 * @see data.synchronisation.MonitorEvent#getTarget()
	 * @see #getMonitorEvent()
	 * @generated
	 */
	EReference getMonitorEvent_Target();

	/**
	 * Returns the meta object for class '{@link data.synchronisation.WaitNotifyObject <em>Wait Notify Object</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Wait Notify Object</em>'.
	 * @see data.synchronisation.WaitNotifyObject
	 * @generated
	 */
	EClass getWaitNotifyObject();

	/**
	 * Returns the meta object for the reference '{@link data.synchronisation.WaitNotifyObject#getCreator <em>Creator</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Creator</em>'.
	 * @see data.synchronisation.WaitNotifyObject#getCreator()
	 * @see #getWaitNotifyObject()
	 * @generated
	 */
	EReference getWaitNotifyObject_Creator();

	/**
	 * Returns the meta object for class '{@link data.synchronisation.SynchronisationObject <em>Object</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Object</em>'.
	 * @see data.synchronisation.SynchronisationObject
	 * @generated
	 */
	EClass getSynchronisationObject();

	/**
	 * Returns the meta object for the attribute '{@link data.synchronisation.SynchronisationObject#getKiekerClassSignature <em>Kieker Class Signature</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Kieker Class Signature</em>'.
	 * @see data.synchronisation.SynchronisationObject#getKiekerClassSignature()
	 * @see #getSynchronisationObject()
	 * @generated
	 */
	EAttribute getSynchronisationObject_KiekerClassSignature();

	/**
	 * Returns the meta object for the reference '{@link data.synchronisation.SynchronisationObject#getRealInstance <em>Real Instance</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Real Instance</em>'.
	 * @see data.synchronisation.SynchronisationObject#getRealInstance()
	 * @see #getSynchronisationObject()
	 * @generated
	 */
	EReference getSynchronisationObject_RealInstance();

	/**
	 * Returns the meta object for the attribute '{@link data.synchronisation.SynchronisationObject#getKiekerObjectId <em>Kieker Object Id</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Kieker Object Id</em>'.
	 * @see data.synchronisation.SynchronisationObject#getKiekerObjectId()
	 * @see #getSynchronisationObject()
	 * @generated
	 */
	EAttribute getSynchronisationObject_KiekerObjectId();

	/**
	 * Returns the meta object for enum '{@link data.synchronisation.WaitNotifyMethod <em>Wait Notify Method</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Wait Notify Method</em>'.
	 * @see data.synchronisation.WaitNotifyMethod
	 * @generated
	 */
	EEnum getWaitNotifyMethod();

	/**
	 * Returns the meta object for enum '{@link data.synchronisation.MonitorMethod <em>Monitor Method</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Monitor Method</em>'.
	 * @see data.synchronisation.MonitorMethod
	 * @generated
	 */
	EEnum getMonitorMethod();

	/**
	 * Returns the factory that creates the instances of the model.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the factory that creates the instances of the model.
	 * @generated
	 */
	SynchronisationFactory getSynchronisationFactory();

	/**
	 * <!-- begin-user-doc -->
	 * Defines literals for the meta objects that represent
	 * <ul>
	 *   <li>each class,</li>
	 *   <li>each feature of each class,</li>
	 *   <li>each enum,</li>
	 *   <li>and each data type</li>
	 * </ul>
	 * <!-- end-user-doc -->
	 * @generated
	 */
	interface Literals {
		/**
		 * The meta object literal for the '{@link data.synchronisation.impl.ThreadJoinImpl <em>Thread Join</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see data.synchronisation.impl.ThreadJoinImpl
		 * @see data.synchronisation.impl.SynchronisationPackageImpl#getThreadJoin()
		 * @generated
		 */
		EClass THREAD_JOIN = eINSTANCE.getThreadJoin();

		/**
		 * The meta object literal for the '<em><b>Target</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference THREAD_JOIN__TARGET = eINSTANCE.getThreadJoin_Target();

		/**
		 * The meta object literal for the '{@link data.synchronisation.impl.WaitNotifyEventImpl <em>Wait Notify Event</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see data.synchronisation.impl.WaitNotifyEventImpl
		 * @see data.synchronisation.impl.SynchronisationPackageImpl#getWaitNotifyEvent()
		 * @generated
		 */
		EClass WAIT_NOTIFY_EVENT = eINSTANCE.getWaitNotifyEvent();

		/**
		 * The meta object literal for the '<em><b>Type</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute WAIT_NOTIFY_EVENT__TYPE = eINSTANCE.getWaitNotifyEvent_Type();

		/**
		 * The meta object literal for the '<em><b>Target</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference WAIT_NOTIFY_EVENT__TARGET = eINSTANCE.getWaitNotifyEvent_Target();

		/**
		 * The meta object literal for the '{@link data.synchronisation.impl.MonitorObjectImpl <em>Monitor Object</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see data.synchronisation.impl.MonitorObjectImpl
		 * @see data.synchronisation.impl.SynchronisationPackageImpl#getMonitorObject()
		 * @generated
		 */
		EClass MONITOR_OBJECT = eINSTANCE.getMonitorObject();

		/**
		 * The meta object literal for the '<em><b>Creator</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference MONITOR_OBJECT__CREATOR = eINSTANCE.getMonitorObject_Creator();

		/**
		 * The meta object literal for the '{@link data.synchronisation.impl.MonitorEventImpl <em>Monitor Event</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see data.synchronisation.impl.MonitorEventImpl
		 * @see data.synchronisation.impl.SynchronisationPackageImpl#getMonitorEvent()
		 * @generated
		 */
		EClass MONITOR_EVENT = eINSTANCE.getMonitorEvent();

		/**
		 * The meta object literal for the '<em><b>Type</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute MONITOR_EVENT__TYPE = eINSTANCE.getMonitorEvent_Type();

		/**
		 * The meta object literal for the '<em><b>Target</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference MONITOR_EVENT__TARGET = eINSTANCE.getMonitorEvent_Target();

		/**
		 * The meta object literal for the '{@link data.synchronisation.impl.WaitNotifyObjectImpl <em>Wait Notify Object</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see data.synchronisation.impl.WaitNotifyObjectImpl
		 * @see data.synchronisation.impl.SynchronisationPackageImpl#getWaitNotifyObject()
		 * @generated
		 */
		EClass WAIT_NOTIFY_OBJECT = eINSTANCE.getWaitNotifyObject();

		/**
		 * The meta object literal for the '<em><b>Creator</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference WAIT_NOTIFY_OBJECT__CREATOR = eINSTANCE.getWaitNotifyObject_Creator();

		/**
		 * The meta object literal for the '{@link data.synchronisation.impl.SynchronisationObjectImpl <em>Object</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see data.synchronisation.impl.SynchronisationObjectImpl
		 * @see data.synchronisation.impl.SynchronisationPackageImpl#getSynchronisationObject()
		 * @generated
		 */
		EClass SYNCHRONISATION_OBJECT = eINSTANCE.getSynchronisationObject();

		/**
		 * The meta object literal for the '<em><b>Kieker Class Signature</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SYNCHRONISATION_OBJECT__KIEKER_CLASS_SIGNATURE = eINSTANCE.getSynchronisationObject_KiekerClassSignature();

		/**
		 * The meta object literal for the '<em><b>Real Instance</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference SYNCHRONISATION_OBJECT__REAL_INSTANCE = eINSTANCE.getSynchronisationObject_RealInstance();

		/**
		 * The meta object literal for the '<em><b>Kieker Object Id</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SYNCHRONISATION_OBJECT__KIEKER_OBJECT_ID = eINSTANCE.getSynchronisationObject_KiekerObjectId();

		/**
		 * The meta object literal for the '{@link data.synchronisation.WaitNotifyMethod <em>Wait Notify Method</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see data.synchronisation.WaitNotifyMethod
		 * @see data.synchronisation.impl.SynchronisationPackageImpl#getWaitNotifyMethod()
		 * @generated
		 */
		EEnum WAIT_NOTIFY_METHOD = eINSTANCE.getWaitNotifyMethod();

		/**
		 * The meta object literal for the '{@link data.synchronisation.MonitorMethod <em>Monitor Method</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see data.synchronisation.MonitorMethod
		 * @see data.synchronisation.impl.SynchronisationPackageImpl#getMonitorMethod()
		 * @generated
		 */
		EEnum MONITOR_METHOD = eINSTANCE.getMonitorMethod();

	}

} //SynchronisationPackage
