/**
 */
package data.synchronisation.impl;

import data.synchronisation.*;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EDataType;
import org.eclipse.emf.ecore.EObject;
import org.eclipse.emf.ecore.EPackage;

import org.eclipse.emf.ecore.impl.EFactoryImpl;

import org.eclipse.emf.ecore.plugin.EcorePlugin;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model <b>Factory</b>.
 * <!-- end-user-doc -->
 * @generated
 */
public class SynchronisationFactoryImpl extends EFactoryImpl implements SynchronisationFactory {
	/**
	 * Creates the default factory implementation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public static SynchronisationFactory init() {
		try {
			SynchronisationFactory theSynchronisationFactory = (SynchronisationFactory)EPackage.Registry.INSTANCE.getEFactory("http://pdo-masterthesis-ss12.de/dataModel/data/synchronisation"); 
			if (theSynchronisationFactory != null) {
				return theSynchronisationFactory;
			}
		}
		catch (Exception exception) {
			EcorePlugin.INSTANCE.log(exception);
		}
		return new SynchronisationFactoryImpl();
	}

	/**
	 * Creates an instance of the factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public SynchronisationFactoryImpl() {
		super();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public EObject create(EClass eClass) {
		switch (eClass.getClassifierID()) {
			case SynchronisationPackage.THREAD_JOIN: return createThreadJoin();
			case SynchronisationPackage.WAIT_NOTIFY_EVENT: return createWaitNotifyEvent();
			case SynchronisationPackage.MONITOR_OBJECT: return createMonitorObject();
			case SynchronisationPackage.MONITOR_EVENT: return createMonitorEvent();
			case SynchronisationPackage.WAIT_NOTIFY_OBJECT: return createWaitNotifyObject();
			default:
				throw new IllegalArgumentException("The class '" + eClass.getName() + "' is not a valid classifier");
		}
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Object createFromString(EDataType eDataType, String initialValue) {
		switch (eDataType.getClassifierID()) {
			case SynchronisationPackage.WAIT_NOTIFY_METHOD:
				return createWaitNotifyMethodFromString(eDataType, initialValue);
			case SynchronisationPackage.MONITOR_METHOD:
				return createMonitorMethodFromString(eDataType, initialValue);
			default:
				throw new IllegalArgumentException("The datatype '" + eDataType.getName() + "' is not a valid classifier");
		}
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String convertToString(EDataType eDataType, Object instanceValue) {
		switch (eDataType.getClassifierID()) {
			case SynchronisationPackage.WAIT_NOTIFY_METHOD:
				return convertWaitNotifyMethodToString(eDataType, instanceValue);
			case SynchronisationPackage.MONITOR_METHOD:
				return convertMonitorMethodToString(eDataType, instanceValue);
			default:
				throw new IllegalArgumentException("The datatype '" + eDataType.getName() + "' is not a valid classifier");
		}
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ThreadJoin createThreadJoin() {
		ThreadJoinImpl threadJoin = new ThreadJoinImpl();
		return threadJoin;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public WaitNotifyEvent createWaitNotifyEvent() {
		WaitNotifyEventImpl waitNotifyEvent = new WaitNotifyEventImpl();
		return waitNotifyEvent;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public MonitorObject createMonitorObject() {
		MonitorObjectImpl monitorObject = new MonitorObjectImpl();
		return monitorObject;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public MonitorEvent createMonitorEvent() {
		MonitorEventImpl monitorEvent = new MonitorEventImpl();
		return monitorEvent;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public WaitNotifyObject createWaitNotifyObject() {
		WaitNotifyObjectImpl waitNotifyObject = new WaitNotifyObjectImpl();
		return waitNotifyObject;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public WaitNotifyMethod createWaitNotifyMethodFromString(EDataType eDataType, String initialValue) {
		WaitNotifyMethod result = WaitNotifyMethod.get(initialValue);
		if (result == null) throw new IllegalArgumentException("The value '" + initialValue + "' is not a valid enumerator of '" + eDataType.getName() + "'");
		return result;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String convertWaitNotifyMethodToString(EDataType eDataType, Object instanceValue) {
		return instanceValue == null ? null : instanceValue.toString();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public MonitorMethod createMonitorMethodFromString(EDataType eDataType, String initialValue) {
		MonitorMethod result = MonitorMethod.get(initialValue);
		if (result == null) throw new IllegalArgumentException("The value '" + initialValue + "' is not a valid enumerator of '" + eDataType.getName() + "'");
		return result;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String convertMonitorMethodToString(EDataType eDataType, Object instanceValue) {
		return instanceValue == null ? null : instanceValue.toString();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public SynchronisationPackage getSynchronisationPackage() {
		return (SynchronisationPackage)getEPackage();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @deprecated
	 * @generated
	 */
	@Deprecated
	public static SynchronisationPackage getPackage() {
		return SynchronisationPackage.eINSTANCE;
	}

} //SynchronisationFactoryImpl
