/**
 */
package data.synchronisation.util;

import data.VisualizableElement;

import data.dynamics.STraceEvent;

import data.synchronisation.*;

import org.eclipse.emf.common.notify.Adapter;
import org.eclipse.emf.common.notify.Notifier;

import org.eclipse.emf.common.notify.impl.AdapterFactoryImpl;

import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc -->
 * The <b>Adapter Factory</b> for the model.
 * It provides an adapter <code>createXXX</code> method for each class of the model.
 * <!-- end-user-doc -->
 * @see data.synchronisation.SynchronisationPackage
 * @generated
 */
public class SynchronisationAdapterFactory extends AdapterFactoryImpl {
	/**
	 * The cached model package.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected static SynchronisationPackage modelPackage;

	/**
	 * Creates an instance of the adapter factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public SynchronisationAdapterFactory() {
		if (modelPackage == null) {
			modelPackage = SynchronisationPackage.eINSTANCE;
		}
	}

	/**
	 * Returns whether this factory is applicable for the type of the object.
	 * <!-- begin-user-doc -->
	 * This implementation returns <code>true</code> if the object is either the model's package or is an instance object of the model.
	 * <!-- end-user-doc -->
	 * @return whether this factory is applicable for the type of the object.
	 * @generated
	 */
	@Override
	public boolean isFactoryForType(Object object) {
		if (object == modelPackage) {
			return true;
		}
		if (object instanceof EObject) {
			return ((EObject)object).eClass().getEPackage() == modelPackage;
		}
		return false;
	}

	/**
	 * The switch that delegates to the <code>createXXX</code> methods.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected SynchronisationSwitch<Adapter> modelSwitch =
		new SynchronisationSwitch<Adapter>() {
			@Override
			public Adapter caseThreadJoin(ThreadJoin object) {
				return createThreadJoinAdapter();
			}
			@Override
			public Adapter caseWaitNotifyEvent(WaitNotifyEvent object) {
				return createWaitNotifyEventAdapter();
			}
			@Override
			public Adapter caseMonitorObject(MonitorObject object) {
				return createMonitorObjectAdapter();
			}
			@Override
			public Adapter caseMonitorEvent(MonitorEvent object) {
				return createMonitorEventAdapter();
			}
			@Override
			public Adapter caseWaitNotifyObject(WaitNotifyObject object) {
				return createWaitNotifyObjectAdapter();
			}
			@Override
			public Adapter caseSynchronisationObject(SynchronisationObject object) {
				return createSynchronisationObjectAdapter();
			}
			@Override
			public Adapter caseVisualizableElement(VisualizableElement object) {
				return createVisualizableElementAdapter();
			}
			@Override
			public Adapter caseSTraceEvent(STraceEvent object) {
				return createSTraceEventAdapter();
			}
			@Override
			public Adapter defaultCase(EObject object) {
				return createEObjectAdapter();
			}
		};

	/**
	 * Creates an adapter for the <code>target</code>.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param target the object to adapt.
	 * @return the adapter for the <code>target</code>.
	 * @generated
	 */
	@Override
	public Adapter createAdapter(Notifier target) {
		return modelSwitch.doSwitch((EObject)target);
	}


	/**
	 * Creates a new adapter for an object of class '{@link data.synchronisation.ThreadJoin <em>Thread Join</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see data.synchronisation.ThreadJoin
	 * @generated
	 */
	public Adapter createThreadJoinAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link data.synchronisation.WaitNotifyEvent <em>Wait Notify Event</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see data.synchronisation.WaitNotifyEvent
	 * @generated
	 */
	public Adapter createWaitNotifyEventAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link data.synchronisation.MonitorObject <em>Monitor Object</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see data.synchronisation.MonitorObject
	 * @generated
	 */
	public Adapter createMonitorObjectAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link data.synchronisation.MonitorEvent <em>Monitor Event</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see data.synchronisation.MonitorEvent
	 * @generated
	 */
	public Adapter createMonitorEventAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link data.synchronisation.WaitNotifyObject <em>Wait Notify Object</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see data.synchronisation.WaitNotifyObject
	 * @generated
	 */
	public Adapter createWaitNotifyObjectAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link data.synchronisation.SynchronisationObject <em>Object</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see data.synchronisation.SynchronisationObject
	 * @generated
	 */
	public Adapter createSynchronisationObjectAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link data.VisualizableElement <em>Visualizable Element</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see data.VisualizableElement
	 * @generated
	 */
	public Adapter createVisualizableElementAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link data.dynamics.STraceEvent <em>STrace Event</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see data.dynamics.STraceEvent
	 * @generated
	 */
	public Adapter createSTraceEventAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for the default case.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @generated
	 */
	public Adapter createEObjectAdapter() {
		return null;
	}

} //SynchronisationAdapterFactory
