/**
 */
package data.synchronisation.util;

import data.VisualizableElement;

import data.dynamics.STraceEvent;

import data.synchronisation.*;

import org.eclipse.emf.ecore.EObject;
import org.eclipse.emf.ecore.EPackage;

import org.eclipse.emf.ecore.util.Switch;

/**
 * <!-- begin-user-doc -->
 * The <b>Switch</b> for the model's inheritance hierarchy.
 * It supports the call {@link #doSwitch(EObject) doSwitch(object)}
 * to invoke the <code>caseXXX</code> method for each class of the model,
 * starting with the actual class of the object
 * and proceeding up the inheritance hierarchy
 * until a non-null result is returned,
 * which is the result of the switch.
 * <!-- end-user-doc -->
 * @see data.synchronisation.SynchronisationPackage
 * @generated
 */
public class SynchronisationSwitch<T> extends Switch<T> {
	/**
	 * The cached model package
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected static SynchronisationPackage modelPackage;

	/**
	 * Creates an instance of the switch.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public SynchronisationSwitch() {
		if (modelPackage == null) {
			modelPackage = SynchronisationPackage.eINSTANCE;
		}
	}

	/**
	 * Checks whether this is a switch for the given package.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @parameter ePackage the package in question.
	 * @return whether this is a switch for the given package.
	 * @generated
	 */
	@Override
	protected boolean isSwitchFor(EPackage ePackage) {
		return ePackage == modelPackage;
	}

	/**
	 * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the first non-null result returned by a <code>caseXXX</code> call.
	 * @generated
	 */
	@Override
	protected T doSwitch(int classifierID, EObject theEObject) {
		switch (classifierID) {
			case SynchronisationPackage.THREAD_JOIN: {
				ThreadJoin threadJoin = (ThreadJoin)theEObject;
				T result = caseThreadJoin(threadJoin);
				if (result == null) result = caseSTraceEvent(threadJoin);
				if (result == null) result = caseVisualizableElement(threadJoin);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case SynchronisationPackage.WAIT_NOTIFY_EVENT: {
				WaitNotifyEvent waitNotifyEvent = (WaitNotifyEvent)theEObject;
				T result = caseWaitNotifyEvent(waitNotifyEvent);
				if (result == null) result = caseSTraceEvent(waitNotifyEvent);
				if (result == null) result = caseVisualizableElement(waitNotifyEvent);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case SynchronisationPackage.MONITOR_OBJECT: {
				MonitorObject monitorObject = (MonitorObject)theEObject;
				T result = caseMonitorObject(monitorObject);
				if (result == null) result = caseSynchronisationObject(monitorObject);
				if (result == null) result = caseVisualizableElement(monitorObject);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case SynchronisationPackage.MONITOR_EVENT: {
				MonitorEvent monitorEvent = (MonitorEvent)theEObject;
				T result = caseMonitorEvent(monitorEvent);
				if (result == null) result = caseSTraceEvent(monitorEvent);
				if (result == null) result = caseVisualizableElement(monitorEvent);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case SynchronisationPackage.WAIT_NOTIFY_OBJECT: {
				WaitNotifyObject waitNotifyObject = (WaitNotifyObject)theEObject;
				T result = caseWaitNotifyObject(waitNotifyObject);
				if (result == null) result = caseSynchronisationObject(waitNotifyObject);
				if (result == null) result = caseVisualizableElement(waitNotifyObject);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case SynchronisationPackage.SYNCHRONISATION_OBJECT: {
				SynchronisationObject synchronisationObject = (SynchronisationObject)theEObject;
				T result = caseSynchronisationObject(synchronisationObject);
				if (result == null) result = caseVisualizableElement(synchronisationObject);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			default: return defaultCase(theEObject);
		}
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Thread Join</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Thread Join</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseThreadJoin(ThreadJoin object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Wait Notify Event</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Wait Notify Event</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseWaitNotifyEvent(WaitNotifyEvent object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Monitor Object</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Monitor Object</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseMonitorObject(MonitorObject object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Monitor Event</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Monitor Event</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseMonitorEvent(MonitorEvent object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Wait Notify Object</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Wait Notify Object</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseWaitNotifyObject(WaitNotifyObject object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Object</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Object</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseSynchronisationObject(SynchronisationObject object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Visualizable Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Visualizable Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseVisualizableElement(VisualizableElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>STrace Event</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>STrace Event</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseSTraceEvent(STraceEvent object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>EObject</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch, but this is the last case anyway.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>EObject</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject)
	 * @generated
	 */
	@Override
	public T defaultCase(EObject object) {
		return null;
	}

} //SynchronisationSwitch
